#
# OpenIrekia v4.0.0
#
# Copyright 2009-2013 eFaber, S.L.
# Copyright 2009-2013 Ejie, S.A.
# Copyrigth 2009-2013 Dirección de Gobierno Abierto y Comunicación en Internet; 
#    Gobernu Irekirako eta Interneteko Komunikaziorako Zuzendaritza; Lehendakaritza.
#    Gobierno Vasco – Eusko Jaurlaritza 
# Licencia con arreglo a la EUPL, Versión 1.1 o –en cuanto sean aprobadas 
# por la Comisión Europea– versiones posteriores de la EUPL (la Licencia);
# Solo podrá usarse esta obra si se respeta la Licencia. Puede obtenerse una 
# copia de la Licencia en: http://ec.europa.eu/idabc/eupl 
# Salvo cuando lo exija la legislación aplicable o se acuerde por escrito, 
# el programa distribuido con arreglo a la Licencia se distribuye TAL CUAL,
# SIN GARANTÍAS NI CONDICIONES DE NINGÚN TIPO, ni expresas ni implícitas.
# Véase la Licencia en el idioma concreto que rige los permisos y limitaciones 
# que establece la Licencia
#
#  http://open.irekia.net, openirekia@efaber.net
#

class AreasController < ApplicationController
  before_filter :get_selected_date, :only => :show
    
  def index
    @areas = Area.find(:all, :order => 'position')
    if !request.xhr?
      render :action => 'index'  
    else
      render :action => 'list', :layout => !request.xhr?      
    end  
  end

  def show
    if params[:id].to_i.eql?(10)
      params[:id] = 13
    end
    @area = Area.find(params[:id])
    @context = @area
    prepare_news(@context, request.xhr?)
    render :template => '/news/index'
  end
  
  def what
    @area = Area.find(params[:id]) 
    respond_to do |format|
      format.html { render }
      format.xml
      format.iphone { render }
      format.android { render }
      format.floki { render :action => "what.floki", :layout => "application.floki" }
    end    
  end
  
  private
  
  def make_breadcrumbs
    @breadcrumbs_info = [[t('organizations.title'), areas_path]]
    @breadcrumbs_info << [@area.name,  area_path(@area)] if @area
  end

  def get_area_activity
    @content = get_context_actions(@area)

    # @content = []
    # @content << @area.news.find(:all, 
    #   :select => "documents.id, title_es, title_eu, title_en, body_#{I18n.locale}, published_at, has_comments, comments_closed, comments_count", 
    #   :order => 'published_at DESC', :limit => 20)
    #  
    # events = @area.events.current
    # #find(:all, 
    # #  :select => "documents.id, title_#{I18n.locale}, body_#{I18n.locale}, starts_at, ends_at, place",
    # #  :order => 'starts_at DESC', :limit => 3)
    #   
    # @content << @area.proposals.find(:all, 
    #   :select => "contributions.id, title_es, title_eu, title_en, body_#{I18n.locale}, published_at, status, user_id, has_comments, comments_closed",
    #   :order => 'published_at DESC', :limit => 20)
    #   
    # @content << @area.questions.find(:all, 
    #   :select => "contributions.id, title_es, title_eu, title_en, body_#{I18n.locale}, published_at, status, user_id, has_comments, comments_closed", 
    #   :order => 'published_at DESC', :limit => 20)
    #   
    # @content << Answer.find(:all,
    #   :select => "answers.id, answers.answered_at AS published_at, answers.question_id, answered_by, body",
    #   :joins => {:question => [:tags, :question_data]}, 
    #   :conditions => "sanitized_name_es IN ('#{@area.area_tag}')", 
    #   :order => 'published_at DESC', :limit => 20)
    # 
    # @content = events + @content.flatten.sort {|a,b| string_to_time(b.published_at) <=> string_to_time(a.published_at)}[0..19]
    # #@content = @content.flatten.sort {|a,b| string_to_time(b.published_at) <=> string_to_time(a.published_at)}[0..19]
  end
    
end
