#
# OpenIrekia v4.0.0
#
# Copyright 2009-2013 eFaber, S.L.
# Copyright 2009-2013 Ejie, S.A.
# Copyrigth 2009-2013 Dirección de Gobierno Abierto y Comunicación en Internet; 
#    Gobernu Irekirako eta Interneteko Komunikaziorako Zuzendaritza; Lehendakaritza.
#    Gobierno Vasco – Eusko Jaurlaritza 
# Licencia con arreglo a la EUPL, Versión 1.1 o –en cuanto sean aprobadas 
# por la Comisión Europea– versiones posteriores de la EUPL (la Licencia);
# Solo podrá usarse esta obra si se respeta la Licencia. Puede obtenerse una 
# copia de la Licencia en: http://ec.europa.eu/idabc/eupl 
# Salvo cuando lo exija la legislación aplicable o se acuerde por escrito, 
# el programa distribuido con arreglo a la Licencia se distribuye TAL CUAL,
# SIN GARANTÍAS NI CONDICIONES DE NINGÚN TIPO, ni expresas ni implícitas.
# Véase la Licencia en el idioma concreto que rige los permisos y limitaciones 
# que establece la Licencia
#
#  http://open.irekia.net, openirekia@efaber.net
#

class AttachmentsController < ApplicationController
  before_filter :get_politician
  
  def new
    @attachment = @politician.attachments.new
  end
  
  def create
    @attachment = @politician.attachments.new(params[:attachment])
    if @attachment.save
      flash[:notice] = t('sadmin.guardado_correctamente', :article => Attachment.human_name.gender_article, :what => Attachment.human_name)
      redirect_to @politician
    else
      render :action => "new"
    end
  end
  
  def get_politician
    @politician = Politician.find(session[:user_id])
    unless @politician
      access_denied
    end
  end
end
