#
# OpenIrekia v4.0.0
#
# Copyright 2009-2013 eFaber, S.L.
# Copyright 2009-2013 Ejie, S.A.
# Copyrigth 2009-2013 Dirección de Gobierno Abierto y Comunicación en Internet; 
#    Gobernu Irekirako eta Interneteko Komunikaziorako Zuzendaritza; Lehendakaritza.
#    Gobierno Vasco – Eusko Jaurlaritza 
# Licencia con arreglo a la EUPL, Versión 1.1 o –en cuanto sean aprobadas 
# por la Comisión Europea– versiones posteriores de la EUPL (la Licencia);
# Solo podrá usarse esta obra si se respeta la Licencia. Puede obtenerse una 
# copia de la Licencia en: http://ec.europa.eu/idabc/eupl 
# Salvo cuando lo exija la legislación aplicable o se acuerde por escrito, 
# el programa distribuido con arreglo a la Licencia se distribuye TAL CUAL,
# SIN GARANTÍAS NI CONDICIONES DE NINGÚN TIPO, ni expresas ni implícitas.
# Véase la Licencia en el idioma concreto que rige los permisos y limitaciones 
# que establece la Licencia
#
#  http://open.irekia.net, openirekia@efaber.net
#

module ActionsHelper
  
  def actions_menu_option_class(option_controller_name)
    selected  = case controller.controller_name 
      when 'news', 'events', 'videos'
        option_controller_name.eql?('actions')
      when 'proposals'
        option_controller_name.eql?('proposals_citizens')
      else
        controller.controller_name.eql?(option_controller_name)
      end
    
    selected ? "selected" : "passive"
  end
    
    
  def actions_list_filter_link(opts)
    content_type = opts[:content_type]
    content_type = 'news_index' if content_type.eql?(:news) && !opts[:context_id].present?
    link = if opts[:context_id]
      send("#{opts[:context_prefix]}#{content_type}_path", "#{opts[:context_prefix]}id" => opts[:context_id], :filter => opts[:filter])
    else
      send("#{opts[:context_prefix]}#{content_type}_path", :filter => opts[:filter])
    end
    
    link
  end
end
