#
# OpenIrekia v4.0.0
#
# Copyright 2009-2013 eFaber, S.L.
# Copyright 2009-2013 Ejie, S.A.
# Copyrigth 2009-2013 Dirección de Gobierno Abierto y Comunicación en Internet; 
#    Gobernu Irekirako eta Interneteko Komunikaziorako Zuzendaritza; Lehendakaritza.
#    Gobierno Vasco – Eusko Jaurlaritza 
# Licencia con arreglo a la EUPL, Versión 1.1 o –en cuanto sean aprobadas 
# por la Comisión Europea– versiones posteriores de la EUPL (la Licencia);
# Solo podrá usarse esta obra si se respeta la Licencia. Puede obtenerse una 
# copia de la Licencia en: http://ec.europa.eu/idabc/eupl 
# Salvo cuando lo exija la legislación aplicable o se acuerde por escrito, 
# el programa distribuido con arreglo a la Licencia se distribuye TAL CUAL,
# SIN GARANTÍAS NI CONDICIONES DE NINGÚN TIPO, ni expresas ni implícitas.
# Véase la Licencia en el idioma concreto que rige los permisos y limitaciones 
# que establece la Licencia
#
#  http://open.irekia.net, openirekia@efaber.net
#

module Admin::SnetworksHelper
  
  def add_snetwork
    snet=Snetwork.new 
    link_to_function('Añadir enlace') do |page|
      html = render(:partial => '/admin/sorganizations/snetwork_form', :locals => {:snet => snet,:index => 'NEW_RECORD', :position => 'NEW_POSITION'})
      page << "$('snetwork_data').insert({ bottom: '#{escape_javascript(html)}'.replace(/NEW_RECORD/g, new Date().getTime()).replace(/NEW_POSITION/g, parseInt($$('tr.snetwork_data').last().down('input.position').value) +1) });"
    end  
  end
  
  def remove_snetwork(f)
    if f.object.new_record?
      link_to_function('Eliminar') do |page|
        page << " $(this).up('.snetwork_data').remove()"
      end
    else
      f.hidden_field( :deleted, :value =>"0") + link_to_function('Eliminar') do |page|
        page << " $(this).up('.snetwork_data').hide();$(this).previous().value =1"
      end
    end
  end
  
end  