#
# OpenIrekia v4.0.0
#
# Copyright 2009-2013 eFaber, S.L.
# Copyright 2009-2013 Ejie, S.A.
# Copyrigth 2009-2013 Dirección de Gobierno Abierto y Comunicación en Internet; 
#    Gobernu Irekirako eta Interneteko Komunikaziorako Zuzendaritza; Lehendakaritza.
#    Gobierno Vasco – Eusko Jaurlaritza 
# Licencia con arreglo a la EUPL, Versión 1.1 o –en cuanto sean aprobadas 
# por la Comisión Europea– versiones posteriores de la EUPL (la Licencia);
# Solo podrá usarse esta obra si se respeta la Licencia. Puede obtenerse una 
# copia de la Licencia en: http://ec.europa.eu/idabc/eupl 
# Salvo cuando lo exija la legislación aplicable o se acuerde por escrito, 
# el programa distribuido con arreglo a la Licencia se distribuye TAL CUAL,
# SIN GARANTÍAS NI CONDICIONES DE NINGÚN TIPO, ni expresas ni implícitas.
# Véase la Licencia en el idioma concreto que rige los permisos y limitaciones 
# que establece la Licencia
#
#  http://open.irekia.net, openirekia@efaber.net
#

module CommentsHelper
  
  def comment_style(comment)
    if comment.user_id && comment.user.is_official_commenter?
      'official_comment'
    else
      'citizen_comment'
    end
  end
  
  def show_comment_author_name(comment)       
    if comment.email.eql?('sn@irekia.euskadi.net')          
      comment.name
    else  
      comment.author.public_name if comment.author
    end  
  end

  def link_to_item_comments(count, item=nil)
    item_comments_url = if item.present?
      send("#{item.class.to_s.downcase}_path", item, :anchor => '#acomments')
    else
      '#acomments'
    end
    content_tag(:div, link_to(count, item_comments_url, :class => 'comments_count'), :class => "comments_link rs_skip donotprint")
  end
end
