#
# OpenIrekia v4.0.0
#
# Copyright 2009-2013 eFaber, S.L.
# Copyright 2009-2013 Ejie, S.A.
# Copyrigth 2009-2013 Dirección de Gobierno Abierto y Comunicación en Internet; 
#    Gobernu Irekirako eta Interneteko Komunikaziorako Zuzendaritza; Lehendakaritza.
#    Gobierno Vasco – Eusko Jaurlaritza 
# Licencia con arreglo a la EUPL, Versión 1.1 o –en cuanto sean aprobadas 
# por la Comisión Europea– versiones posteriores de la EUPL (la Licencia);
# Solo podrá usarse esta obra si se respeta la Licencia. Puede obtenerse una 
# copia de la Licencia en: http://ec.europa.eu/idabc/eupl 
# Salvo cuando lo exija la legislación aplicable o se acuerde por escrito, 
# el programa distribuido con arreglo a la Licencia se distribuye TAL CUAL,
# SIN GARANTÍAS NI CONDICIONES DE NINGÚN TIPO, ni expresas ni implícitas.
# Véase la Licencia en el idioma concreto que rige los permisos y limitaciones 
# que establece la Licencia
#
#  http://open.irekia.net, openirekia@efaber.net
#

module DebatesHelper

  def render_debate_stage_dates(stage)
    output = [I18n.l(stage.starts_on, :format => :long)]
    output << [I18n.l(stage.ends_on, :format => :long)]
    content_tag(:div, output.join("<br/>"), :class => 'stage_date')
  end

  def render_debates_legal_advice
    inner = []
    inner << content_tag(:li, t('debates.legal_advice1'))
    inner << content_tag(:li, t('debates.legal_advice2'))
    inner << content_tag(:li, t('debates.legal_advice3'))
    content_tag(:div, content_tag(:strong, t('site.legal_advice')) + content_tag(:ul, inner.join), :class => 'legal_advice')
  end

end
