xml.instruct!
xml.record do
  xml.item :name => "datos_resumen" do
    xml.value do
      xml.item :name => "titulo_resumen" do
        xml.value @news.send("title_#{locale}")
      end
    end
  end
  xml.item :name => "datos_generales" do
    xml.value do
      xml.item :name => "titulo" do
        xml.value @news.send("title_#{locale}")
      end
      xml.item :name => "subtitulo" do
        xml.value @news.subtitle(locale)
      end
      xml.item :name => "entradilla" do
        xml.value @news.entradilla(locale)
      end
      xml.item :name => "fecha" do
        xml.value @news.published_at.to_date.strftime("%d/%m/%Y")
      end
      xml.item :name => "parrafo_cuerpo" do
        xml.value do
          xml.item :name => "cuerpo" do
            xml.value render(:partial => "/sadmin/news/enet/enet_body.html", :locals => {:l => locale})
          end
        end
      end
    end
  end
end
