#
# OpenIrekia v4.0.0
#
# Copyright 2009-2013 eFaber, S.L.
# Copyright 2009-2013 Ejie, S.A.
# Copyrigth 2009-2013 Dirección de Gobierno Abierto y Comunicación en Internet; 
#    Gobernu Irekirako eta Interneteko Komunikaziorako Zuzendaritza; Lehendakaritza.
#    Gobierno Vasco – Eusko Jaurlaritza 
# Licencia con arreglo a la EUPL, Versión 1.1 o –en cuanto sean aprobadas 
# por la Comisión Europea– versiones posteriores de la EUPL (la Licencia);
# Solo podrá usarse esta obra si se respeta la Licencia. Puede obtenerse una 
# copia de la Licencia en: http://ec.europa.eu/idabc/eupl 
# Salvo cuando lo exija la legislación aplicable o se acuerde por escrito, 
# el programa distribuido con arreglo a la Licencia se distribuye TAL CUAL,
# SIN GARANTÍAS NI CONDICIONES DE NINGÚN TIPO, ni expresas ni implícitas.
# Véase la Licencia en el idioma concreto que rige los permisos y limitaciones 
# que establece la Licencia
#
#  http://open.irekia.net, openirekia@efaber.net
#

# Define excepciones en la pluralización automática de strings.
# Be sure to restart your server when you modify this file.

# Add new inflection rules using the following format 
# (all these examples are active by default):
ActiveSupport::Inflector.inflections do |inflect|
#   inflect.plural /^(ox)$/i, '\1en'
#   inflect.singular /^(ox)en/i, '\1'

  inflect.irregular 'person', 'people'
  inflect.uncountable %w( news )
  inflect.plural /(.+)or$/, '\1ores'
  
  inflect.plural /(.+)ón/, '\1ones'
  
  inflect.plural /(.+) (.+)/, '\1s \2s'
  inflect.irregular 'jefe de prensa', 'jefes de prensa'
  inflect.irregular 'jefe de gabinete', 'jefes de gabinete'
  inflect.irregular 'operador de streaming', 'operadores de streaming'
  inflect.irregular 'miembro de departamento', 'miembros de departamento'
  inflect.irregular 'responsable de sala', 'responsables de sala'
#   inflect.uncountable %w( fish sheep )
end
