#
# OpenIrekia v4.0.0
#
# Copyright 2009-2013 eFaber, S.L.
# Copyright 2009-2013 Ejie, S.A.
# Copyrigth 2009-2013 Dirección de Gobierno Abierto y Comunicación en Internet; 
#    Gobernu Irekirako eta Interneteko Komunikaziorako Zuzendaritza; Lehendakaritza.
#    Gobierno Vasco – Eusko Jaurlaritza 
# Licencia con arreglo a la EUPL, Versión 1.1 o –en cuanto sean aprobadas 
# por la Comisión Europea– versiones posteriores de la EUPL (la Licencia);
# Solo podrá usarse esta obra si se respeta la Licencia. Puede obtenerse una 
# copia de la Licencia en: http://ec.europa.eu/idabc/eupl 
# Salvo cuando lo exija la legislación aplicable o se acuerde por escrito, 
# el programa distribuido con arreglo a la Licencia se distribuye TAL CUAL,
# SIN GARANTÍAS NI CONDICIONES DE NINGÚN TIPO, ni expresas ni implícitas.
# Véase la Licencia en el idioma concreto que rige los permisos y limitaciones 
# que establece la Licencia
#
#  http://open.irekia.net, openirekia@efaber.net
#

class AddAuthorToItems < ActiveRecord::Migration
  def self.up
    add_column :documents, :created_by, :integer
    add_column :documents, :updated_by, :integer
    add_column :categories, :created_by, :integer
    add_column :categories, :updated_by, :integer
    add_column :tags, :created_by, :integer
    add_column :tags, :updated_by, :integer
    add_column :images, :created_by, :integer
    add_column :images, :updated_by, :integer
    
    Document.update_all('created_by=1, updated_by=1')
    Category.update_all('created_by=1, updated_by=1')
    Tag.update_all('created_by=1, updated_by=1')
    Image.update_all('created_by=1, updated_by=1')
  end

  def self.down
    remove_column :documents, :created_by
    remove_column :documents, :updated_by
    remove_column :categories, :created_by
    remove_column :categories, :updated_by
    remove_column :tags, :created_by
    remove_column :tags, :updated_by
    remove_column :images, :created_by
    remove_column :images, :updated_by
  end
end
