#
# OpenIrekia v4.0.0
#
# Copyright 2009-2013 eFaber, S.L.
# Copyright 2009-2013 Ejie, S.A.
# Copyrigth 2009-2013 Dirección de Gobierno Abierto y Comunicación en Internet; 
#    Gobernu Irekirako eta Interneteko Komunikaziorako Zuzendaritza; Lehendakaritza.
#    Gobierno Vasco – Eusko Jaurlaritza 
# Licencia con arreglo a la EUPL, Versión 1.1 o –en cuanto sean aprobadas 
# por la Comisión Europea– versiones posteriores de la EUPL (la Licencia);
# Solo podrá usarse esta obra si se respeta la Licencia. Puede obtenerse una 
# copia de la Licencia en: http://ec.europa.eu/idabc/eupl 
# Salvo cuando lo exija la legislación aplicable o se acuerde por escrito, 
# el programa distribuido con arreglo a la Licencia se distribuye TAL CUAL,
# SIN GARANTÍAS NI CONDICIONES DE NINGÚN TIPO, ni expresas ni implícitas.
# Véase la Licencia en el idioma concreto que rige los permisos y limitaciones 
# que establece la Licencia
#
#  http://open.irekia.net, openirekia@efaber.net
#

class AddEventsSpecificFldsToDocumentsTable < ActiveRecord::Migration
  def self.up
    add_column :documents, :state, :string, :limit => 30
    add_column :documents, :is_private, :boolean, :default => true
    add_column :documents, :city, :string
    add_column :documents, :has_journalists, :boolean
    add_column :documents, :has_photographers, :boolean
    add_column :documents, :streaming_live, :boolean
    add_column :documents, :irekia_coverage, :boolean
  end

  def self.down
    remove_column :documents, :irekia_coverage
    remove_column :documents, :streaming_live
    remove_column :documents, :has_photographers
    remove_column :documents, :has_journalists
    remove_column :documents, :city
    remove_column :documents, :is_private
    remove_column :documents, :state
  end
end
