#
# OpenIrekia v4.0.0
#
# Copyright 2009-2013 eFaber, S.L.
# Copyright 2009-2013 Ejie, S.A.
# Copyrigth 2009-2013 Dirección de Gobierno Abierto y Comunicación en Internet; 
#    Gobernu Irekirako eta Interneteko Komunikaziorako Zuzendaritza; Lehendakaritza.
#    Gobierno Vasco – Eusko Jaurlaritza 
# Licencia con arreglo a la EUPL, Versión 1.1 o –en cuanto sean aprobadas 
# por la Comisión Europea– versiones posteriores de la EUPL (la Licencia);
# Solo podrá usarse esta obra si se respeta la Licencia. Puede obtenerse una 
# copia de la Licencia en: http://ec.europa.eu/idabc/eupl 
# Salvo cuando lo exija la legislación aplicable o se acuerde por escrito, 
# el programa distribuido con arreglo a la Licencia se distribuye TAL CUAL,
# SIN GARANTÍAS NI CONDICIONES DE NINGÚN TIPO, ni expresas ni implícitas.
# Véase la Licencia en el idioma concreto que rige los permisos y limitaciones 
# que establece la Licencia
#
#  http://open.irekia.net, openirekia@efaber.net
#

class AddAgendaTagsPrettyNames < ActiveRecord::Migration
  def self.up
    t = Tag.find_or_create_by_sanitized_name_es('_irekia_eventos')
    t.name_es = 'Irekia::Eventos'
    t.name_eu = 'Irekia::Gertaerak'
    t.name_en = 'Irekia::Events'
    t.save
    execute "UPDATE tags set sanitized_name_es='_irekia_eventos', sanitized_name_eu='_irekia_gertaerak', sanitized_name_en='_irekia_events' WHERE name_es='Irekia::Eventos'"
    
    t = Tag.find_or_create_by_sanitized_name_es('_irekia_acciones')
    t.name_es = 'Irekia::Acciones'
    t.name_eu = 'Irekia::Ekintzak'
    t.name_en = 'Irekia::Actions'
    t.save
    execute "UPDATE tags set sanitized_name_es='_irekia_acciones', sanitized_name_eu='_irekia_ekintzak', sanitized_name_en='_irekia_actions' WHERE name_es='Irekia::Acciones'"

    t = Tag.find_or_create_by_sanitized_name_es('_irekia_actos')
    t.name_es = 'Irekia::Actos'
    t.name_eu = 'Irekia::Ekitaldiak'
    t.name_eu = 'Irekia::Ceremonies'
    t.save
    execute "UPDATE tags set sanitized_name_es='_irekia_actos', sanitized_name_eu='_irekia_ekitaldiak', sanitized_name_en='_irekia_ceremonies' WHERE name_es='Irekia::Actos'"
        
  end

  def self.down
  end
end
