#
# OpenIrekia v4.0.0
#
# Copyright 2009-2013 eFaber, S.L.
# Copyright 2009-2013 Ejie, S.A.
# Copyrigth 2009-2013 Dirección de Gobierno Abierto y Comunicación en Internet; 
#    Gobernu Irekirako eta Interneteko Komunikaziorako Zuzendaritza; Lehendakaritza.
#    Gobierno Vasco – Eusko Jaurlaritza 
# Licencia con arreglo a la EUPL, Versión 1.1 o –en cuanto sean aprobadas 
# por la Comisión Europea– versiones posteriores de la EUPL (la Licencia);
# Solo podrá usarse esta obra si se respeta la Licencia. Puede obtenerse una 
# copia de la Licencia en: http://ec.europa.eu/idabc/eupl 
# Salvo cuando lo exija la legislación aplicable o se acuerde por escrito, 
# el programa distribuido con arreglo a la Licencia se distribuye TAL CUAL,
# SIN GARANTÍAS NI CONDICIONES DE NINGÚN TIPO, ni expresas ni implícitas.
# Véase la Licencia en el idioma concreto que rige los permisos y limitaciones 
# que establece la Licencia
#
#  http://open.irekia.net, openirekia@efaber.net
#

class AddIptcDataToPhotos < ActiveRecord::Migration
  def self.up
    add_column :photos, :date_time_original, :datetime
    add_column :photos, :date_time_digitalized, :datetime
    add_column :photos, :exif_image_width, :integer
    add_column :photos, :exif_image_length, :integer
    add_column :photos, :city, :string
    add_column :photos, :province_state, :string
    add_column :photos, :country, :string
  end

  def self.down
    remove_column :photos, :country
    remove_column :photos, :province_state
    remove_column :photos, :city
    remove_column :photos, :exif_image_length
    remove_column :photos, :exif_image_width
    remove_column :photos, :date_time_digitalized
    remove_column :photos, :date_time_original
  end
end
