#
# OpenIrekia v4.0.0
#
# Copyright 2009-2013 eFaber, S.L.
# Copyright 2009-2013 Ejie, S.A.
# Copyrigth 2009-2013 Dirección de Gobierno Abierto y Comunicación en Internet; 
#    Gobernu Irekirako eta Interneteko Komunikaziorako Zuzendaritza; Lehendakaritza.
#    Gobierno Vasco – Eusko Jaurlaritza 
# Licencia con arreglo a la EUPL, Versión 1.1 o –en cuanto sean aprobadas 
# por la Comisión Europea– versiones posteriores de la EUPL (la Licencia);
# Solo podrá usarse esta obra si se respeta la Licencia. Puede obtenerse una 
# copia de la Licencia en: http://ec.europa.eu/idabc/eupl 
# Salvo cuando lo exija la legislación aplicable o se acuerde por escrito, 
# el programa distribuido con arreglo a la Licencia se distribuye TAL CUAL,
# SIN GARANTÍAS NI CONDICIONES DE NINGÚN TIPO, ni expresas ni implícitas.
# Véase la Licencia en el idioma concreto que rige los permisos y limitaciones 
# que establece la Licencia
#
#  http://open.irekia.net, openirekia@efaber.net
#

class CreateExternalFeeds < ActiveRecord::Migration
  def self.up
    create_table :external_feeds do |t|
      t.string :url, :null => false
      t.string :title
      t.string :provider
      t.string :encoding
      t.string :interval
      t.integer :organization_id
      t.datetime :last_import_at
      t.string   :last_import_status
      t.timestamps
    end
    
    ExternalFeed.create(:url => 'http://titulares.acceso.com/bin/ccode.cgi?clau=fbTv.ShxQYOsnORpJ6p9B.',
                        :title => 'Reseñas Lehendakaritza',
                        :provider => 'Acceso',
                        :interval => '1.hour',
                        :encoding => 'latin1', 
                        :organization_id => Organization.find_by_name_es('Presidencia'))
  end

  def self.down
    drop_table :external_feeds
  end
end
