#
# OpenIrekia v4.0.0
#
# Copyright 2009-2013 eFaber, S.L.
# Copyright 2009-2013 Ejie, S.A.
# Copyrigth 2009-2013 Dirección de Gobierno Abierto y Comunicación en Internet; 
#    Gobernu Irekirako eta Interneteko Komunikaziorako Zuzendaritza; Lehendakaritza.
#    Gobierno Vasco – Eusko Jaurlaritza 
# Licencia con arreglo a la EUPL, Versión 1.1 o –en cuanto sean aprobadas 
# por la Comisión Europea– versiones posteriores de la EUPL (la Licencia);
# Solo podrá usarse esta obra si se respeta la Licencia. Puede obtenerse una 
# copia de la Licencia en: http://ec.europa.eu/idabc/eupl 
# Salvo cuando lo exija la legislación aplicable o se acuerde por escrito, 
# el programa distribuido con arreglo a la Licencia se distribuye TAL CUAL,
# SIN GARANTÍAS NI CONDICIONES DE NINGÚN TIPO, ni expresas ni implícitas.
# Véase la Licencia en el idioma concreto que rige los permisos y limitaciones 
# que establece la Licencia
#
#  http://open.irekia.net, openirekia@efaber.net
#

class CreateOrder < ActiveRecord::Migration
  def self.up
    create_table :orders, :force => true do |t|
      t.date :fecha_bol
      t.date :fecha_disp
      t.string :dept_es, :limit => 500
      t.string :dept_eu, :limit => 500      
      t.string :materias_es, :limit => 500      
      t.string :materias_eu, :limit => 500            
      t.string :no_bol
      t.string :no_disp
      t.string :no_orden
      t.string :rango_es
      t.string :rango_eu      
      t.string :seccion_es
      t.string :seccion_eu      
      t.text :titulo_es
      t.text :titulo_eu      
      t.text :texto_es
      t.text :texto_eu  
      t.text :ref_ant
      t.text :ref_pos
      t.text :vigencia
      t.timestamps
    end
  end

  def self.down
    drop_table :orders
  end
end