#
# OpenIrekia v4.0.0
#
# Copyright 2009-2013 eFaber, S.L.
# Copyright 2009-2013 Ejie, S.A.
# Copyrigth 2009-2013 Dirección de Gobierno Abierto y Comunicación en Internet; 
#    Gobernu Irekirako eta Interneteko Komunikaziorako Zuzendaritza; Lehendakaritza.
#    Gobierno Vasco – Eusko Jaurlaritza 
# Licencia con arreglo a la EUPL, Versión 1.1 o –en cuanto sean aprobadas 
# por la Comisión Europea– versiones posteriores de la EUPL (la Licencia);
# Solo podrá usarse esta obra si se respeta la Licencia. Puede obtenerse una 
# copia de la Licencia en: http://ec.europa.eu/idabc/eupl 
# Salvo cuando lo exija la legislación aplicable o se acuerde por escrito, 
# el programa distribuido con arreglo a la Licencia se distribuye TAL CUAL,
# SIN GARANTÍAS NI CONDICIONES DE NINGÚN TIPO, ni expresas ni implícitas.
# Véase la Licencia en el idioma concreto que rige los permisos y limitaciones 
# que establece la Licencia
#
#  http://open.irekia.net, openirekia@efaber.net
#

class MakeProposalVotesPolymorphic < ActiveRecord::Migration
  def self.up
    add_column :proposal_votes, :votable_type, :string
    rename_column :proposal_votes, :proposal_id, :votable_id
    
    execute "UPDATE proposal_votes SET votable_type = 'Contribution'"
    
    add_column :contributions, :proposal_votes_count, :integer, :null => false, :default => 0
  end

  def self.down
    remove_column :contributions, :proposal_votes_count
    
    rename_column :proposal_votes, :votable_id, :proposal_id
    
    execute "UPDATE proposal_votes SET votable_type = 'Proposal'"
    
    remove_column :proposal_votes, :votable_type
  end
end