#
# OpenIrekia v4.0.0
#
# Copyright 2009-2013 eFaber, S.L.
# Copyright 2009-2013 Ejie, S.A.
# Copyrigth 2009-2013 Dirección de Gobierno Abierto y Comunicación en Internet; 
#    Gobernu Irekirako eta Interneteko Komunikaziorako Zuzendaritza; Lehendakaritza.
#    Gobierno Vasco – Eusko Jaurlaritza 
# Licencia con arreglo a la EUPL, Versión 1.1 o –en cuanto sean aprobadas 
# por la Comisión Europea– versiones posteriores de la EUPL (la Licencia);
# Solo podrá usarse esta obra si se respeta la Licencia. Puede obtenerse una 
# copia de la Licencia en: http://ec.europa.eu/idabc/eupl 
# Salvo cuando lo exija la legislación aplicable o se acuerde por escrito, 
# el programa distribuido con arreglo a la Licencia se distribuye TAL CUAL,
# SIN GARANTÍAS NI CONDICIONES DE NINGÚN TIPO, ni expresas ni implícitas.
# Véase la Licencia en el idioma concreto que rige los permisos y limitaciones 
# que establece la Licencia
#
#  http://open.irekia.net, openirekia@efaber.net
#

class CreateDebateEntities < ActiveRecord::Migration
  def self.up
    create_table :debate_entities do |t|
      t.references :debate, :null => false
      t.references :organization, :null => false
      t.integer :position, :default => 0, :null => false
      t.timestamps
    end
    
    execute 'ALTER TABLE debate_entities ADD CONSTRAINT fk_debate_entity_debate_id FOREIGN KEY (debate_id) REFERENCES debates(id)'
    execute 'ALTER TABLE debate_entities ADD CONSTRAINT fk_debate_entity_organization_id FOREIGN KEY (organization_id) REFERENCES organizations(id)'    
    
  end

  def self.down
    drop_table :debate_entities
  end
end
