#!/bin/bash

if [ -f /var/tmp/s4_running_lock ]
then
    exit
fi

if [ $# -ne 1 ]
then
  echo "Usage: fix-meta.sh filename"
  exit 2
fi

if /usr/local/bin/flvdump $1 |grep hasMetadata
then
  echo "metadata present"
else
  echo "adding metadata"
  /usr/local/bin/flvmeta $1 $1s
  mv $1 /tmp
  mv $1s $1
fi

