#
# OpenIrekia v4.0.0
#
# Copyright 2009-2013 eFaber, S.L.
# Copyright 2009-2013 Ejie, S.A.
# Copyrigth 2009-2013 Dirección de Gobierno Abierto y Comunicación en Internet; 
#    Gobernu Irekirako eta Interneteko Komunikaziorako Zuzendaritza; Lehendakaritza.
#    Gobierno Vasco – Eusko Jaurlaritza 
# Licencia con arreglo a la EUPL, Versión 1.1 o –en cuanto sean aprobadas 
# por la Comisión Europea– versiones posteriores de la EUPL (la Licencia);
# Solo podrá usarse esta obra si se respeta la Licencia. Puede obtenerse una 
# copia de la Licencia en: http://ec.europa.eu/idabc/eupl 
# Salvo cuando lo exija la legislación aplicable o se acuerde por escrito, 
# el programa distribuido con arreglo a la Licencia se distribuye TAL CUAL,
# SIN GARANTÍAS NI CONDICIONES DE NINGÚN TIPO, ni expresas ni implícitas.
# Véase la Licencia en el idioma concreto que rige los permisos y limitaciones 
# que establece la Licencia
#
#  http://open.irekia.net, openirekia@efaber.net
#

require 'rubygems'
require 'couchrest'
require 'cgi'
require 'pp'

dbr=CouchRest.database('http://localhost:5985/ilog3')
# dbr=CouchRest.database('http://localhost:5987/ilog2r')
# the most recent, back to :endkey
ag=dbr.view('counter/rsss', { :descending => true, 
                               :limit => 10000000, 
                               :endkey => [2010, 3, 1, 0, ''], 
                               :group => true })
#
#                               :endkey => [Time.now.year, Time.now.month, 20, 0, ''], 

sum=0
totv=Hash.new(0)
ag['rows'].each do |r| 
   # pp r['key'], r['value'] 
   path = r['key'][4]
   path.gsub!(/p=[0-9a-f]+&/, '')
   ntimes = r['value']
   # pp path, ntimes
   totv[path] += ntimes
   sum+=ntimes
end
topp = totv.sort {|a,b| b[1]<=>a[1]}

pp topp
pp sum

