#
# OpenIrekia v4.0.0
#
# Copyright 2009-2013 eFaber, S.L.
# Copyright 2009-2013 Ejie, S.A.
# Copyrigth 2009-2013 Dirección de Gobierno Abierto y Comunicación en Internet; 
#    Gobernu Irekirako eta Interneteko Komunikaziorako Zuzendaritza; Lehendakaritza.
#    Gobierno Vasco – Eusko Jaurlaritza 
# Licencia con arreglo a la EUPL, Versión 1.1 o –en cuanto sean aprobadas 
# por la Comisión Europea– versiones posteriores de la EUPL (la Licencia);
# Solo podrá usarse esta obra si se respeta la Licencia. Puede obtenerse una 
# copia de la Licencia en: http://ec.europa.eu/idabc/eupl 
# Salvo cuando lo exija la legislación aplicable o se acuerde por escrito, 
# el programa distribuido con arreglo a la Licencia se distribuye TAL CUAL,
# SIN GARANTÍAS NI CONDICIONES DE NINGÚN TIPO, ni expresas ni implícitas.
# Véase la Licencia en el idioma concreto que rige los permisos y limitaciones 
# que establece la Licencia
#
#  http://open.irekia.net, openirekia@efaber.net
#

#!/usr/bin/ruby
# approx ejemlpo de uso, desde cron:
#  find /web/jails/agencia/home/jagencia/2010/04/ -name \*.flv -type f -mtime -2  -exec /usr/local/bin/frame_exractor.rb {} \;
#

flvfile = ARGV[0]
exit if flvfile == nil

basename = File.basename(flvfile, '.flv')
dirname = File.dirname(flvfile)

if !(File.exist?(dirname+'/frames/'))
  x = `mkdir #{dirname}/frames`
end


if !(Dir.entries(dirname+'/frames/').any? {|f| f.match(/#{basename}_/)})

  totlen = `/usr/local/bin/flvdump #{flvfile}|grep duration`.split[2].to_i
  t=rand(6)+1
  inc = totlen/8
  while t < totlen
    ex=`/usr/local/bin/ffmpeg -i #{flvfile} -r 1 -ss #{t} -t 0.05 -f image2 #{dirname}/frames/#{basename}_%02d.jpg`
    x = `mv #{dirname}/frames/#{basename}_01.jpg #{dirname}/frames/#{basename}_#{t}.jpg`
    t += inc 
  end

else
  puts "skipping ", flvfile
end

