#
# OpenIrekia v4.0.0
#
# Copyright 2009-2013 eFaber, S.L.
# Copyright 2009-2013 Ejie, S.A.
# Copyrigth 2009-2013 Dirección de Gobierno Abierto y Comunicación en Internet; 
#    Gobernu Irekirako eta Interneteko Komunikaziorako Zuzendaritza; Lehendakaritza.
#    Gobierno Vasco – Eusko Jaurlaritza 
# Licencia con arreglo a la EUPL, Versión 1.1 o –en cuanto sean aprobadas 
# por la Comisión Europea– versiones posteriores de la EUPL (la Licencia);
# Solo podrá usarse esta obra si se respeta la Licencia. Puede obtenerse una 
# copia de la Licencia en: http://ec.europa.eu/idabc/eupl 
# Salvo cuando lo exija la legislación aplicable o se acuerde por escrito, 
# el programa distribuido con arreglo a la Licencia se distribuye TAL CUAL,
# SIN GARANTÍAS NI CONDICIONES DE NINGÚN TIPO, ni expresas ni implícitas.
# Véase la Licencia en el idioma concreto que rige los permisos y limitaciones 
# que establece la Licencia
#
#  http://open.irekia.net, openirekia@efaber.net
#

#!/usr/bin/ruby
#

flvfile = ARGV[0]
exit if flvfile == nil

basename = File.basename(flvfile, '.flv')
dirname = File.dirname(flvfile)

if !(File.exist?(dirname+'/html5/'))
  x = `mkdir #{dirname}/html5`
end


if !(Dir.entries(dirname+'/html5/').any? {|f| f.match(/#{basename}.m4v/)})
  # sd:  -acodec libfaac -ab 128k -s 360x288 -vcodec libx264 -vpre hq -vpre ipod320 -b 128k -bt 128k -aspect 360:288 -threads 0 -f ipod
  x = `/usr/local/bin/ffmpeg -i #{flvfile} -acodec libfaac -ab 128k -s 512x288 -vcodec libx264 -vpre hq -vpre ipod320 -b 296k -bt 128k -aspect 512:288 -threads 0 -f ipod #{dirname}/html5/#{basename}.m4v`

else
  puts "skipping ", flvfile
end


