#!/bin/bash

BOPV_PATH=/usr/app/irekia3/data/bopv/2012_dic/*.zip

for f in $BOPV_PATH 
do
  echo "Processing $f....."
  # f="${old_f// /_}"                      
  # echo $old_f
  # echo $f    
  # mv "$old_f" "$f"                
  
  # extension="${f##*.}"  
  fdirectory="${f%\/*}"                                                 
  filename="${f%.*}"     
                
  # unzip file
  unzip -d "$fdirectory" "$f" 
  
  unzipped_file=$filename.txt
  unzipped_utf_file=$filename\_utf.txt
  
  # convert to UTF8
  iconv  -f ISO-8859-1 -t utf-8 "$unzipped_file" > "$unzipped_utf_file"
  # add BRS separator at the end
  echo "*** BRS DOCUMENT BOUNDARY ***" >> "$unzipped_utf_file"
  rm "$unzipped_file" 
  
done
