#
# OpenIrekia v4.0.0
#
# Copyright 2009-2013 eFaber, S.L.
# Copyright 2009-2013 Ejie, S.A.
# Copyrigth 2009-2013 Dirección de Gobierno Abierto y Comunicación en Internet; 
#    Gobernu Irekirako eta Interneteko Komunikaziorako Zuzendaritza; Lehendakaritza.
#    Gobierno Vasco – Eusko Jaurlaritza 
# Licencia con arreglo a la EUPL, Versión 1.1 o –en cuanto sean aprobadas 
# por la Comisión Europea– versiones posteriores de la EUPL (la Licencia);
# Solo podrá usarse esta obra si se respeta la Licencia. Puede obtenerse una 
# copia de la Licencia en: http://ec.europa.eu/idabc/eupl 
# Salvo cuando lo exija la legislación aplicable o se acuerde por escrito, 
# el programa distribuido con arreglo a la Licencia se distribuye TAL CUAL,
# SIN GARANTÍAS NI CONDICIONES DE NINGÚN TIPO, ni expresas ni implícitas.
# Véase la Licencia en el idioma concreto que rige los permisos y limitaciones 
# que establece la Licencia
#
#  http://open.irekia.net, openirekia@efaber.net
#

#!/usr/bin/ruby
require 'rubygems'
require 'cgi'
require 'pp'
require 'couchrest'
require 'active_support'

dbr = CouchRest.database('http://localhost:5984/wl2010')

whent   = Time.now()
# whent   = Time.parse("Jun 16 11:20:00 2010")
backto = whent - 5.hours

pp whent

ag = dbr.view('inverse/dts', { :descending => true,
                               :limit => 100000,
                               :startkey => [whent.year, whent.month, whent.day, whent.hour, whent.min, whent.sec ],
                               :endkey   => [backto.year, backto.month, backto.day, backto.hour, backto.min, backto.sec] })


honuser = Hash.new(0)
stablecount = 0

ag['rows'].each do |r|
    le = dbr.get(r['id'])
    event = le['x-event']
    stream = le['x-sname']
    stablecount += 1

    if event == 'play' 
      honuser[stream] += 1
      # puts le['datetime'] + ' PLAY: ' + stream + " " + honuser[stream].to_s
      stablecount = 0
    end

    if event == 'stop'
      honuser[stream] -= 1
      # puts le['datetime'] + ' STOP: ' + stream + " " + honuser[stream].to_s
      stablecount = 0
    end
    # puts "stablecount "+stablecount.to_s
    break if stablecount > 30 
   
end

pp honuser 


