//
// GA customized tracking
//

var IrekiaTracker = {
  trackDownload: function() {
    var elem = $(this);
    var linkedFileName = elem.attr("href");
    var linkedFileType = linkedFileName.split('.').pop().toUpperCase();

    _gaq.push(['_trackEvent', 'Descarga', linkedFileType, linkedFileName]);
    _gaq.push(['_trackPageview', '/descarga/']);
  },
  
  prepareRelatedContentForTracking: function() {
    var doc_title = ($("div.left h1").size() > 0) ? $("div.left h1").first().text().trim() : document.title;

    // Related documents
    $("ul.related a").each(function(index){
      var link = $(this);
      var related_doc_title = link.text().trim();
      link.click(function(){
        _gaq.push(['_trackEvent', 'Contenidos Relacionados', doc_title, related_doc_title]);
      });
    });

    // Related videos
    $("div.videos_relacionados a.tip4carousel").each(function(index){
      var link = $(this);
      var related_doc_title = link.data('short_title');
      link.click(function(evt){
        _gaq.push(['_trackEvent', 'Contenidos Relacionados', doc_title, related_doc_title]);
      });                
    });
   
  },
  
  enable: function(){
    var tracker = this;
    // Downloads
    $("a").each(function(index){
      var anchor = $(this);
      if (anchor.attr("href") && (anchor.attr("href").match('.pdf') || anchor.hasClass('download'))) {
        anchor.click(tracker.trackDownload);
      }
    });

    // Related
    this.prepareRelatedContentForTracking();    
  }
}

$(document).ready(function(){
  IrekiaTracker.enable();  
});