#
# OpenIrekia v4.0.0
#
# Copyright 2009-2013 eFaber, S.L.
# Copyright 2009-2013 Ejie, S.A.
# Copyrigth 2009-2013 Dirección de Gobierno Abierto y Comunicación en Internet; 
#    Gobernu Irekirako eta Interneteko Komunikaziorako Zuzendaritza; Lehendakaritza.
#    Gobierno Vasco – Eusko Jaurlaritza 
# Licencia con arreglo a la EUPL, Versión 1.1 o –en cuanto sean aprobadas 
# por la Comisión Europea– versiones posteriores de la EUPL (la Licencia);
# Solo podrá usarse esta obra si se respeta la Licencia. Puede obtenerse una 
# copia de la Licencia en: http://ec.europa.eu/idabc/eupl 
# Salvo cuando lo exija la legislación aplicable o se acuerde por escrito, 
# el programa distribuido con arreglo a la Licencia se distribuye TAL CUAL,
# SIN GARANTÍAS NI CONDICIONES DE NINGÚN TIPO, ni expresas ni implícitas.
# Véase la Licencia en el idioma concreto que rige los permisos y limitaciones 
# que establece la Licencia
#
#  http://open.irekia.net, openirekia@efaber.net
#

require 'test_helper'

class IrekiaApiControllerTest < ActionController::TestCase
  test "should return tags list" do
    get :tags
    assert_response :success
  end
  
  test "should return the photos path for a specified news id" do
    document = documents(:news_with_multimedia_dir_and_related_webtv_video_and_gallery_photo)
    assert document.photos
    
    get :photos, :id => document.id
    assert_response :success
    assert assigns(:photos)        
  end

  test "should return the videos data for a specified news id" do
    document = documents(:news_with_multimedia_dir_and_related_webtv_video_and_gallery_photo)
    assert document.photos
    
    get :videos, :id => document.id
    assert_response :success    
    assert assigns(:videos)
  end
    
end
