#
# OpenIrekia v4.0.0
#
# Copyright 2009-2013 eFaber, S.L.
# Copyright 2009-2013 Ejie, S.A.
# Copyrigth 2009-2013 Dirección de Gobierno Abierto y Comunicación en Internet; 
#    Gobernu Irekirako eta Interneteko Komunikaziorako Zuzendaritza; Lehendakaritza.
#    Gobierno Vasco – Eusko Jaurlaritza 
# Licencia con arreglo a la EUPL, Versión 1.1 o –en cuanto sean aprobadas 
# por la Comisión Europea– versiones posteriores de la EUPL (la Licencia);
# Solo podrá usarse esta obra si se respeta la Licencia. Puede obtenerse una 
# copia de la Licencia en: http://ec.europa.eu/idabc/eupl 
# Salvo cuando lo exija la legislación aplicable o se acuerde por escrito, 
# el programa distribuido con arreglo a la Licencia se distribuye TAL CUAL,
# SIN GARANTÍAS NI CONDICIONES DE NINGÚN TIPO, ni expresas ni implícitas.
# Véase la Licencia en el idioma concreto que rige los permisos y limitaciones 
# que establece la Licencia
#
#  http://open.irekia.net, openirekia@efaber.net
#

require 'test_helper'

class JournalistsControllerTest < ActionController::TestCase
  def setup
    http_login
  end
  
  test "should get new" do
    get :new
    assert_response :success
    assert_template "new"
  end
  
  test "should post create with errors" do
    assert_no_difference 'Journalist.count' do
      post :create, :user => {:email => 'prueba@email.com', :password => '123456', :password_confirmation => '123456', 
        :normas_de_uso => '0'}
    end
    assert_response :success
    assert_template 'new.html.erb'
  end
  
  test "should post create okxx" do
    assert_difference 'Journalist.count', +1 do
      post :create, :user => {:email => 'prueba@email.com', :password => '123456', :password_confirmation => '123456', 
        :normas_de_uso => '1', :name => "Nuevo periodista", :last_names => "Last", :media => "http://myblog.com"}
    end
    assert_response :success
    assert_template 'create.html.erb'
    assert assigns(:user).status == 'pendiente'
    assert_select 'p', :text => I18n.t('users.Activaremos_cuenta')
  end
  
end
