#
# OpenIrekia v4.0.0
#
# Copyright 2009-2013 eFaber, S.L.
# Copyright 2009-2013 Ejie, S.A.
# Copyrigth 2009-2013 Dirección de Gobierno Abierto y Comunicación en Internet; 
#    Gobernu Irekirako eta Interneteko Komunikaziorako Zuzendaritza; Lehendakaritza.
#    Gobierno Vasco – Eusko Jaurlaritza 
# Licencia con arreglo a la EUPL, Versión 1.1 o –en cuanto sean aprobadas 
# por la Comisión Europea– versiones posteriores de la EUPL (la Licencia);
# Solo podrá usarse esta obra si se respeta la Licencia. Puede obtenerse una 
# copia de la Licencia en: http://ec.europa.eu/idabc/eupl 
# Salvo cuando lo exija la legislación aplicable o se acuerde por escrito, 
# el programa distribuido con arreglo a la Licencia se distribuye TAL CUAL,
# SIN GARANTÍAS NI CONDICIONES DE NINGÚN TIPO, ni expresas ni implícitas.
# Véase la Licencia en el idioma concreto que rige los permisos y limitaciones 
# que establece la Licencia
#
#  http://open.irekia.net, openirekia@efaber.net
#

require 'test_helper'

class UsersControllerTest < ActionController::TestCase
  ["periodista", "visitante", "politician_lehendakaritza", "colaborador", "jefe_de_gabinete", "miembro_que_modifica_noticias", "comentador_oficial", "secretaria_interior", "operador_de_streaming", "room_manager"].each do |role|
    test "should show user page for #{role}" do
      get :show, :id => users(role).id
      assert_response :success
    end
  end

  ["periodista_sin_aprobar", "admin"].each do |role|
    test "should show redirect to home instead of show user page for #{role}" do
      get :show, :id => users(role).id
      assert_response :redirect
    end
  end

end
