#
# OpenIrekia v4.0.0
#
# Copyright 2009-2013 eFaber, S.L.
# Copyright 2009-2013 Ejie, S.A.
# Copyrigth 2009-2013 Dirección de Gobierno Abierto y Comunicación en Internet; 
#    Gobernu Irekirako eta Interneteko Komunikaziorako Zuzendaritza; Lehendakaritza.
#    Gobierno Vasco – Eusko Jaurlaritza 
# Licencia con arreglo a la EUPL, Versión 1.1 o –en cuanto sean aprobadas 
# por la Comisión Europea– versiones posteriores de la EUPL (la Licencia);
# Solo podrá usarse esta obra si se respeta la Licencia. Puede obtenerse una 
# copia de la Licencia en: http://ec.europa.eu/idabc/eupl 
# Salvo cuando lo exija la legislación aplicable o se acuerde por escrito, 
# el programa distribuido con arreglo a la Licencia se distribuye TAL CUAL,
# SIN GARANTÍAS NI CONDICIONES DE NINGÚN TIPO, ni expresas ni implícitas.
# Véase la Licencia en el idioma concreto que rige los permisos y limitaciones 
# que establece la Licencia
#
#  http://open.irekia.net, openirekia@efaber.net
#

require 'test_helper'

class LoginTest < ActionController::IntegrationTest
  fixtures :all

  def setup
    @htauth = "Basic " + Base64.encode64("euskadi:cambio202")
  end
  
  {"superadmin" => "sadmin_news_index_path", "colaborador"=> "sadmin_news_index_path", 
   "jefe_de_prensa" => "sadmin_news_index_path", "jefe_de_gabinete" => "sadmin_events_path", 
   "secretaria_interior" => "sadmin_events_path", 
   "operador_de_streaming" => "admin_stream_flows_path",
   "visitante" => "account_path", "periodista" => "account_path", "room_manager" => "sadmin_account_path"}.each do |role, url|
    test "#{role} login ends up in #{url}" do
      get_via_redirect "/es/login"
      assert_response :success
      
      user = users(role)
      post_via_redirect session_path, :email => user.email, :password => user.plain_password
      assert_equal eval(url), path
    end
  end
  
end