#
# OpenIrekia v4.0.0
#
# Copyright 2009-2013 eFaber, S.L.
# Copyright 2009-2013 Ejie, S.A.
# Copyrigth 2009-2013 Dirección de Gobierno Abierto y Comunicación en Internet; 
#    Gobernu Irekirako eta Interneteko Komunikaziorako Zuzendaritza; Lehendakaritza.
#    Gobierno Vasco – Eusko Jaurlaritza 
# Licencia con arreglo a la EUPL, Versión 1.1 o –en cuanto sean aprobadas 
# por la Comisión Europea– versiones posteriores de la EUPL (la Licencia);
# Solo podrá usarse esta obra si se respeta la Licencia. Puede obtenerse una 
# copia de la Licencia en: http://ec.europa.eu/idabc/eupl 
# Salvo cuando lo exija la legislación aplicable o se acuerde por escrito, 
# el programa distribuido con arreglo a la Licencia se distribuye TAL CUAL,
# SIN GARANTÍAS NI CONDICIONES DE NINGÚN TIPO, ni expresas ni implícitas.
# Véase la Licencia en el idioma concreto que rige los permisos y limitaciones 
# que establece la Licencia
#
#  http://open.irekia.net, openirekia@efaber.net
#

#
# Script para test del API de usuario.
#

require 'open-uri'
require 'net/http'
require 'digest/sha1'

require 'rubygems'
require 'json'

def check_authentication(auth_token, auth_url, email, passwd)
  salt = "erabiltzaile"
  encrypted_passwd = Digest::SHA1.hexdigest("--#{salt}--#{passwd}--")

  uri=(URI.parse("#{auth_url}"))
  Net::HTTP.start(uri.host, uri.port) do |http|
    headers = { 'Content-Type' => 'application/json'}
    data = "data: '{\"token\":\"#{auth_token}\", \"password\":\"#{encrypted_passwd}\",\"email\":\"#{email}\"}'"
    response = http.send_request("GET", uri.request_uri, data, headers)
    p response.body
  end
end

def check_register(auth_token, register_url, user_data)
  uri=(URI.parse("#{register_url}"))
  Net::HTTP.start(uri.host, uri.port) do |http|
    headers = { 'Content-Type' => 'application/json'}   
    data = "data: '#{JSON.generate(user_data.merge(:token => auth_token))}'"
    p data
    response = http.send_request("GET", uri.request_uri, data, headers)
    p response.body
  end
end

auth_token = "c41c8f278d4887603394a2a855e2b888e99c8463"
#host = 's2.irekia.efaber.net'
host = 'localhost:3000'

auth_url = "http://#{host}/authenticate"
register_url = "http://#{host}/register"

# # Usuario registrado
# email = "prueba@test.com"
# passwd = "usuario1"
# 
# # Usuario pendiente
# email = "usuario_pendiente@test.com"
# passwd = "pendiente"
# 
# # Usuario vetado
# email = "usuario_vetado@test.com"
# passwd = "vetado"
# 
# check_authentication(auth_token, auth_url, email, passwd)

user_data = {:email => 'tres@efaber.net', 
             :password => 'xxxxx', 
             :name => 'Uno', 
             :lastname => 'Apellidos', 
             :postal_code => '48600'}
             
check_register(auth_token, register_url, user_data)
check_authentication(auth_token, auth_url, user_data[:email], user_data[:password])