#
# OpenIrekia v4.0.0
#
# Copyright 2009-2013 eFaber, S.L.
# Copyright 2009-2013 Ejie, S.A.
# Copyrigth 2009-2013 Dirección de Gobierno Abierto y Comunicación en Internet; 
#    Gobernu Irekirako eta Interneteko Komunikaziorako Zuzendaritza; Lehendakaritza.
#    Gobierno Vasco – Eusko Jaurlaritza 
# Licencia con arreglo a la EUPL, Versión 1.1 o –en cuanto sean aprobadas 
# por la Comisión Europea– versiones posteriores de la EUPL (la Licencia);
# Solo podrá usarse esta obra si se respeta la Licencia. Puede obtenerse una 
# copia de la Licencia en: http://ec.europa.eu/idabc/eupl 
# Salvo cuando lo exija la legislación aplicable o se acuerde por escrito, 
# el programa distribuido con arreglo a la Licencia se distribuye TAL CUAL,
# SIN GARANTÍAS NI CONDICIONES DE NINGÚN TIPO, ni expresas ni implícitas.
# Véase la Licencia en el idioma concreto que rige los permisos y limitaciones 
# que establece la Licencia
#
#  http://open.irekia.net, openirekia@efaber.net
#

require 'test_helper'

class CriterioTest < ActiveSupport::TestCase
  
  test "validates presence of title and ip" do
    criterio=Criterio.new
    assert_equal false, criterio.save
    criterio.title='keyword: cultura'
    assert_equal false, criterio.save
    criterio.ip='127.0.0.1'
    assert_equal true, criterio.save
  end
  
  test "criterio acts as tree" do
    criterio_parent=criterios(:criterio_one)
    criterio=criterios(:criterio_two)
    assert_equal criterio_parent, criterio.parent
  end
  
  test "destroy criterio" do
    criterio=criterios(:criterio_two)
    assert_difference 'Criterio.count', -1 do 
      criterio.destroy
    end
  end
  
end