#
# OpenIrekia v4.0.0
#
# Copyright 2009-2013 eFaber, S.L.
# Copyright 2009-2013 Ejie, S.A.
# Copyrigth 2009-2013 Dirección de Gobierno Abierto y Comunicación en Internet; 
#    Gobernu Irekirako eta Interneteko Komunikaziorako Zuzendaritza; Lehendakaritza.
#    Gobierno Vasco – Eusko Jaurlaritza 
# Licencia con arreglo a la EUPL, Versión 1.1 o –en cuanto sean aprobadas 
# por la Comisión Europea– versiones posteriores de la EUPL (la Licencia);
# Solo podrá usarse esta obra si se respeta la Licencia. Puede obtenerse una 
# copia de la Licencia en: http://ec.europa.eu/idabc/eupl 
# Salvo cuando lo exija la legislación aplicable o se acuerde por escrito, 
# el programa distribuido con arreglo a la Licencia se distribuye TAL CUAL,
# SIN GARANTÍAS NI CONDICIONES DE NINGÚN TIPO, ni expresas ni implícitas.
# Véase la Licencia en el idioma concreto que rige los permisos y limitaciones 
# que establece la Licencia
#
#  http://open.irekia.net, openirekia@efaber.net
#

require 'test_helper'

class ScheduleTest < ActiveSupport::TestCase
  test "create" do
    s = Schedule.create(:name => 'Test', :description => 'Test')
    assert s.save
  end
  
  test "department" do
    assert_equal organizations(:interior).id, schedules(:agenda_interior).department_id
    
    assert_equal Department.find(schedules(:agenda_interior).department_id), schedules(:agenda_interior).department
    
    assert_nil schedules(:lehendakari).department
  end
  
  test "department name" do
    assert_equal schedules(:agenda_interior).department_name, organizations(:interior).name
    assert_nil schedules(:agenda_especial).department_name
  end
  
end
