#
# OpenIrekia v4.0.0
#
# Copyright 2009-2013 eFaber, S.L.
# Copyright 2009-2013 Ejie, S.A.
# Copyrigth 2009-2013 Dirección de Gobierno Abierto y Comunicación en Internet; 
#    Gobernu Irekirako eta Interneteko Komunikaziorako Zuzendaritza; Lehendakaritza.
#    Gobierno Vasco – Eusko Jaurlaritza 
# Licencia con arreglo a la EUPL, Versión 1.1 o –en cuanto sean aprobadas 
# por la Comisión Europea– versiones posteriores de la EUPL (la Licencia);
# Solo podrá usarse esta obra si se respeta la Licencia. Puede obtenerse una 
# copia de la Licencia en: http://ec.europa.eu/idabc/eupl 
# Salvo cuando lo exija la legislación aplicable o se acuerde por escrito, 
# el programa distribuido con arreglo a la Licencia se distribuye TAL CUAL,
# SIN GARANTÍAS NI CONDICIONES DE NINGÚN TIPO, ni expresas ni implícitas.
# Véase la Licencia en el idioma concreto que rige los permisos y limitaciones 
# que establece la Licencia
#
#  http://open.irekia.net, openirekia@efaber.net
#

class RecommendationRatingsController < ApplicationController
  
  def create
  	if request.xhr?
  		@rating = RecommendationRating.new :source_type => params[:s_type], :source_id => params[:s_id], 
              :target_type => params[:t_type], :target_id => params[:t_id], 
              :user_id => current_user.id, :rating => params[:rating]
			@rating.save              
			render :nothing => true
		else
			if params[:t_type].eql?('Document')
				target_id=params[:t_id]
			elsif params[:t_type].eql?('Order')
				target=Order.find_by_no_orden(params[:t_id])
				target_id=target.id if target.present?
			end
			@rating = RecommendationRating.new(:source_type => params[:s_type], :source_id => params[:s_id], 
			              :target_type => params[:t_type], :target_id => target_id, 
			              :user_id => current_user.id, :rating => params[:rating], :create_reciprocal => true)
			unless @rating.save
				flash[:error] = t('shared.sidebar.error_añadir_relacionado')
			end
			if @rating.source.is_a?(Document)
				redirect_to @rating.source	
			else
				redirect_to order_url(:no_orden => @rating.source.no_orden)		
			end	
		end			
  end
  
end
