#
# OpenIrekia v4.0.0
#
# Copyright 2009-2013 eFaber, S.L.
# Copyright 2009-2013 Ejie, S.A.
# Copyrigth 2009-2013 Dirección de Gobierno Abierto y Comunicación en Internet; 
#    Gobernu Irekirako eta Interneteko Komunikaziorako Zuzendaritza; Lehendakaritza.
#    Gobierno Vasco – Eusko Jaurlaritza 
# Licencia con arreglo a la EUPL, Versión 1.1 o –en cuanto sean aprobadas 
# por la Comisión Europea– versiones posteriores de la EUPL (la Licencia);
# Solo podrá usarse esta obra si se respeta la Licencia. Puede obtenerse una 
# copia de la Licencia en: http://ec.europa.eu/idabc/eupl 
# Salvo cuando lo exija la legislación aplicable o se acuerde por escrito, 
# el programa distribuido con arreglo a la Licencia se distribuye TAL CUAL,
# SIN GARANTÍAS NI CONDICIONES DE NINGÚN TIPO, ni expresas ni implícitas.
# Véase la Licencia en el idioma concreto que rige los permisos y limitaciones 
# que establece la Licencia
#
#  http://open.irekia.net, openirekia@efaber.net
#

module Admin::PermissionsHelper
  
  def show_or_edit_tag_for(perm, mode="show")
    if mode.eql?("show")
      return @user.permissions_for_form_array.include?(perm) ? image_tag("/images/admin/publish.gif") : image_tag("/images/admin/erase.gif")
    elsif mode.eql?("edit")
      existing_perm = @user.all_editable_permissions.detect {|p| "perm[#{p.module}][#{p.action}]".eql?(perm)}
      if existing_perm
        return check_box_tag("#{perm}", 1, true, :disabled => existing_perm.not_editable)
      else
        return check_box_tag("#{perm}", 1, false, :disabled => false)
      end
    end
  end
end
