#
# OpenIrekia v4.0.0
#
# Copyright 2009-2013 eFaber, S.L.
# Copyright 2009-2013 Ejie, S.A.
# Copyrigth 2009-2013 Dirección de Gobierno Abierto y Comunicación en Internet; 
#    Gobernu Irekirako eta Interneteko Komunikaziorako Zuzendaritza; Lehendakaritza.
#    Gobierno Vasco – Eusko Jaurlaritza 
# Licencia con arreglo a la EUPL, Versión 1.1 o –en cuanto sean aprobadas 
# por la Comisión Europea– versiones posteriores de la EUPL (la Licencia);
# Solo podrá usarse esta obra si se respeta la Licencia. Puede obtenerse una 
# copia de la Licencia en: http://ec.europa.eu/idabc/eupl 
# Salvo cuando lo exija la legislación aplicable o se acuerde por escrito, 
# el programa distribuido con arreglo a la Licencia se distribuye TAL CUAL,
# SIN GARANTÍAS NI CONDICIONES DE NINGÚN TIPO, ni expresas ni implícitas.
# Véase la Licencia en el idioma concreto que rige los permisos y limitaciones 
# que establece la Licencia
#
#  http://open.irekia.net, openirekia@efaber.net
#

module Admin::PhotosHelper
  
  def available_albums_as_options_for(photo)
    # "<option value=''>Añadir al álbum...</option>" + \
    # options_for_select((Album.find(:all, :order => "title_es") - photo.albums).collect {|a| [a.title, a.id]})
    
    xx = content_tag(:option, :value => "") {"Añadir al album..."}
    Album.find(:all, :order => "title_es").each do |album|
      if photo.album_ids.include?(album.id)
        xx << content_tag(:option, :value => album.id, :disabled => true) {album.title}
      else
        xx << content_tag(:option, :value => album.id) {album.title}
      end
    end
    return xx
  end
end
