#
# OpenIrekia v4.0.0
#
# Copyright 2009-2013 eFaber, S.L.
# Copyright 2009-2013 Ejie, S.A.
# Copyrigth 2009-2013 Dirección de Gobierno Abierto y Comunicación en Internet; 
#    Gobernu Irekirako eta Interneteko Komunikaziorako Zuzendaritza; Lehendakaritza.
#    Gobierno Vasco – Eusko Jaurlaritza 
# Licencia con arreglo a la EUPL, Versión 1.1 o –en cuanto sean aprobadas 
# por la Comisión Europea– versiones posteriores de la EUPL (la Licencia);
# Solo podrá usarse esta obra si se respeta la Licencia. Puede obtenerse una 
# copia de la Licencia en: http://ec.europa.eu/idabc/eupl 
# Salvo cuando lo exija la legislación aplicable o se acuerde por escrito, 
# el programa distribuido con arreglo a la Licencia se distribuye TAL CUAL,
# SIN GARANTÍAS NI CONDICIONES DE NINGÚN TIPO, ni expresas ni implícitas.
# Véase la Licencia en el idioma concreto que rige los permisos y limitaciones 
# que establece la Licencia
#
#  http://open.irekia.net, openirekia@efaber.net
#

module Admin::StatsHelper
  
  def short_url(url)
    url.length > 50 ? "#{url[0..49]}..." : url
  end
  
  def link_to_rss(rss)
    if m = rss.match(/\?u=(\d+)$/)
      return rss.sub(m[1], link_to(m[1], admin_user_path(:id => m[1]))) 
    elsif m = rss.match(/^\/e[sun]\/news\/(\d+).*\/comments\.rss$/)
      return rss.sub(m[1], link_to(m[1], news_path(:id => m[1])))
    else
      return rss
    end
  end
end
