#
# OpenIrekia v4.0.0
#
# Copyright 2009-2013 eFaber, S.L.
# Copyright 2009-2013 Ejie, S.A.
# Copyrigth 2009-2013 Dirección de Gobierno Abierto y Comunicación en Internet; 
#    Gobernu Irekirako eta Interneteko Komunikaziorako Zuzendaritza; Lehendakaritza.
#    Gobierno Vasco – Eusko Jaurlaritza 
# Licencia con arreglo a la EUPL, Versión 1.1 o –en cuanto sean aprobadas 
# por la Comisión Europea– versiones posteriores de la EUPL (la Licencia);
# Solo podrá usarse esta obra si se respeta la Licencia. Puede obtenerse una 
# copia de la Licencia en: http://ec.europa.eu/idabc/eupl 
# Salvo cuando lo exija la legislación aplicable o se acuerde por escrito, 
# el programa distribuido con arreglo a la Licencia se distribuye TAL CUAL,
# SIN GARANTÍAS NI CONDICIONES DE NINGÚN TIPO, ni expresas ni implícitas.
# Véase la Licencia en el idioma concreto que rige los permisos y limitaciones 
# que establece la Licencia
#
#  http://open.irekia.net, openirekia@efaber.net
#

module PoliticiansHelper
  
  # Indica si hay que mostrar el link "Haz una pregunta" o no para un político.
  # Lo usamos durante el cambio de legislatura para esconder este enlace en la página de los políticos
  # mientras se hacen los cambios en los cargos y evitar que se hagan preguntas a políticos que van a dejar el cargo.
  def show_politician_create_question?(politician)
    # Original
    # politician.nil? || politician.approved?
    
    # Temporalmente desactivamos el enlace (ticket #3673)
    politician.present? ? false : true
  end

  def politicians_navigation_menu_class(current)
    current.eql?('news') && controller_name.eql?('politicians') ? 'active' : (controller.controller_name.eql?(current) ? 'active' : '')
  end
    
end
 