#
# OpenIrekia v4.0.0
#
# Copyright 2009-2013 eFaber, S.L.
# Copyright 2009-2013 Ejie, S.A.
# Copyrigth 2009-2013 Dirección de Gobierno Abierto y Comunicación en Internet; 
#    Gobernu Irekirako eta Interneteko Komunikaziorako Zuzendaritza; Lehendakaritza.
#    Gobierno Vasco – Eusko Jaurlaritza 
# Licencia con arreglo a la EUPL, Versión 1.1 o –en cuanto sean aprobadas 
# por la Comisión Europea– versiones posteriores de la EUPL (la Licencia);
# Solo podrá usarse esta obra si se respeta la Licencia. Puede obtenerse una 
# copia de la Licencia en: http://ec.europa.eu/idabc/eupl 
# Salvo cuando lo exija la legislación aplicable o se acuerde por escrito, 
# el programa distribuido con arreglo a la Licencia se distribuye TAL CUAL,
# SIN GARANTÍAS NI CONDICIONES DE NINGÚN TIPO, ni expresas ni implícitas.
# Véase la Licencia en el idioma concreto que rige los permisos y limitaciones 
# que establece la Licencia
#
#  http://open.irekia.net, openirekia@efaber.net
#

# Cola de tweets enviados y por enviar. Se tweetean 
# * todas las noticias de Irekia coincidiendo con su fecha de publicación
# * todos los eventos  de Irekia 3 días antes de su comienzo
class DocumentTweet < ActiveRecord::Base
  # Cuentas disponibles en Twitter:
  # * <tt>ireki:</tt> cuenta de pruebas
  # * <tt>irekia:</tt> cuenta para twittear a mano
  # * <tt>irekia_news:</tt> cuenta para el twitteo automático de noticias
  # * <tt>irekia_agenda:</tt> cuenta para el twitteo automático de eventos
  # DocumentTweet::TWITTER_ACCOUNTS = {"ireki" => {:user => "ireki", :pwd => "qydhKXxZWL"},
  #                                    "irekia" => {:user => "irekia", :pwd => "Arb0l!t0"}, 
  #                                    "irekia_news" => {:user => "Irekia_News", :pwd => "Arb0l!t0"},
  #                                    "irekia_agenda" => {:user => "Irekia_Agenda", :pwd => "Arb0l!t0"}} #:nodoc:

  belongs_to :document
  
  def self.pending(account)
    self.find :all, 
              :conditions => ["tweet_at <= ? AND tweeted_at IS NULL AND tweet_account=?", Time.zone.now, account], 
              :order => "created_at"
  end
end
