#
# OpenIrekia v4.0.0
#
# Copyright 2009-2013 eFaber, S.L.
# Copyright 2009-2013 Ejie, S.A.
# Copyrigth 2009-2013 Dirección de Gobierno Abierto y Comunicación en Internet; 
#    Gobernu Irekirako eta Interneteko Komunikaziorako Zuzendaritza; Lehendakaritza.
#    Gobierno Vasco – Eusko Jaurlaritza 
# Licencia con arreglo a la EUPL, Versión 1.1 o –en cuanto sean aprobadas 
# por la Comisión Europea– versiones posteriores de la EUPL (la Licencia);
# Solo podrá usarse esta obra si se respeta la Licencia. Puede obtenerse una 
# copia de la Licencia en: http://ec.europa.eu/idabc/eupl 
# Salvo cuando lo exija la legislación aplicable o se acuerde por escrito, 
# el programa distribuido con arreglo a la Licencia se distribuye TAL CUAL,
# SIN GARANTÍAS NI CONDICIONES DE NINGÚN TIPO, ni expresas ni implícitas.
# Véase la Licencia en el idioma concreto que rige los permisos y limitaciones 
# que establece la Licencia
#
#  http://open.irekia.net, openirekia@efaber.net
#

module DraftUtils
  module InstanceMethods
    # Garantiza que las noticias en borrador no tienen fecha de publicación.
    # Se llama desde before_save
    def sync_draft_and_published_at
      if self.draft == "1"
        self.published_at = nil
      else
        self.published_at = Time.zone.now if self.published_at.nil?
      end
    end
    
    def draft=(val)
      @draft = val
    end
    
    def draft
      if @draft.nil?
        self.published_at.nil? ? "1" : "0"
      else
        @draft
      end
    end
  end
  
  module ClassMethods
    
  end
end