xml.instruct!
xml.content do
  xml.labels do
    @ejes.each do |eje|
      xml.label :oid => eje.code do
        xml.role eje.level
        xml.structureOid eje.root.code
      end
    end
  end
  
  xml.documents do
    Document::LANGUAGES.each_with_index do |lang, i|
      if @news.translated_to?(lang.to_s)
        xml.document :oid => i+1 do
          xml.dataFiles do
            xml.dataFile :oid => 1  do 
              xml.metaDataContainer true
              xml.initialPage 1
              xml.description description_for_enet_xml(@news.pretty_body(lang))
              xml.templateOid "noticia"
              xml.createDate @news.published_at.to_s(:enet_xml)
              xml.name @news.id
              xml.author "Irekia"
            end
          end
          xml.language lang
          xml.internalName @news.id
          xml.description description_for_enet_xml(@news.pretty_body(lang))
          xml.createDate @news.published_at.to_s(:enet_xml)
          xml.name @news.send("title_#{lang}")[0..199]
          xml.author "Irekia"
        end
      end
    end
  end
  xml.chargePerson "Irekia"
  xml.description @news.send("title_es")
  xml.createDate @news.published_at.to_s(:enet_xml)
  xml.name enet_xml_content_name(@news)
  xml.newnessUntilDate @news.published_at.to_s(:enet_xml)
  xml.author "Irekia"
end