#
# OpenIrekia v4.0.0
#
# Copyright 2009-2013 eFaber, S.L.
# Copyright 2009-2013 Ejie, S.A.
# Copyrigth 2009-2013 Dirección de Gobierno Abierto y Comunicación en Internet; 
#    Gobernu Irekirako eta Interneteko Komunikaziorako Zuzendaritza; Lehendakaritza.
#    Gobierno Vasco – Eusko Jaurlaritza 
# Licencia con arreglo a la EUPL, Versión 1.1 o –en cuanto sean aprobadas 
# por la Comisión Europea– versiones posteriores de la EUPL (la Licencia);
# Solo podrá usarse esta obra si se respeta la Licencia. Puede obtenerse una 
# copia de la Licencia en: http://ec.europa.eu/idabc/eupl 
# Salvo cuando lo exija la legislación aplicable o se acuerde por escrito, 
# el programa distribuido con arreglo a la Licencia se distribuye TAL CUAL,
# SIN GARANTÍAS NI CONDICIONES DE NINGÚN TIPO, ni expresas ni implícitas.
# Véase la Licencia en el idioma concreto que rige los permisos y limitaciones 
# que establece la Licencia
#
#  http://open.irekia.net, openirekia@efaber.net
#

# Help: multimedia content (large videos, high resolution images, audios and other downloadable content) 
# provided in news, pages and debates is uploaded via SFTP instead of using web file uploads. 
# This configuration file sets the paths and servers where this content will be uploaded so 
# that the application looks for it when rendering the page.

# Constantes para el contenido multimedia de las noticias y páginas
module DocumentPaths
  # Directorio en el que se suben los contenidos a través de SFTP
  MULTIMEDIA_PATH = '/web/openirekia4/public/mm/'
  # URL del servidor que sirve el contenido multimedia que se sube al directorio anterior
  MULTIMEDIA_URL = 'http://localhost:3000/mm/'
  # Las noticias de Irekia son exportadas para poder ser reimportadas en euskadi.net e
  # integrarlas con su contenido.
  # Este es el directorio donde se exportan.
  EXPORT_PATH = '/web/openirekia4/export/'
end

# Constantes para el contenido multimedia de la Videoteca
module VideoPaths
  # URL del servidor que sirve los videos
  VIDEO_URL = 'http://localhost:3000/mm/'
  # Directorio en el que se suben los contenidos a través de SFTP
  VIDEO_PATH = '/web/openirekia4/public/mm/'
end

# Constantes para el contenido multimedia de la Fototeca
module PhotoPaths
  # URL del servidor que sirve las fotos de la fototeca
  PHOTOS_URL = 'http://localhost:3000/mm/'
  # Directorio en el que se suben los contenidos a través de SFTP
  PHOTOS_PATH = '/web/openirekia4/public/mm/'
end     


# Configuración del CouchDB que contiene la información sobre estadísticas de streaming
CouchDB_DRB = 'http://localhost:5984/ilog4'
CouchDB_DRB_Wowza = 'http://localhost:5984/wlog4'
