#
# OpenIrekia v4.0.0
#
# Copyright 2009-2013 eFaber, S.L.
# Copyright 2009-2013 Ejie, S.A.
# Copyrigth 2009-2013 Dirección de Gobierno Abierto y Comunicación en Internet; 
#    Gobernu Irekirako eta Interneteko Komunikaziorako Zuzendaritza; Lehendakaritza.
#    Gobierno Vasco – Eusko Jaurlaritza 
# Licencia con arreglo a la EUPL, Versión 1.1 o –en cuanto sean aprobadas 
# por la Comisión Europea– versiones posteriores de la EUPL (la Licencia);
# Solo podrá usarse esta obra si se respeta la Licencia. Puede obtenerse una 
# copia de la Licencia en: http://ec.europa.eu/idabc/eupl 
# Salvo cuando lo exija la legislación aplicable o se acuerde por escrito, 
# el programa distribuido con arreglo a la Licencia se distribuye TAL CUAL,
# SIN GARANTÍAS NI CONDICIONES DE NINGÚN TIPO, ni expresas ni implícitas.
# Véase la Licencia en el idioma concreto que rige los permisos y limitaciones 
# que establece la Licencia
#
#  http://open.irekia.net, openirekia@efaber.net
#

class CreateAdminStreamFlows < ActiveRecord::Migration
  def self.up
    create_table :stream_flows do |t|
      t.string :title_es, :null => false
      t.string :title_eu
      t.string :title_en
      t.string :code, :null => false
      t.boolean :show_in_agencia, :default => false
      t.timestamps
    end
    
    StreamFlow.create(:title_es => "Lehendakaritza", :code => "myStream3.sdp")
    StreamFlow.create(:title_es => "Cámara Móvil Lehendakari", :code => "myStream4.sdp")
  end

  def self.down
    drop_table :stream_flows
  end
end
