#
# OpenIrekia v4.0.0
#
# Copyright 2009-2013 eFaber, S.L.
# Copyright 2009-2013 Ejie, S.A.
# Copyrigth 2009-2013 Dirección de Gobierno Abierto y Comunicación en Internet; 
#    Gobernu Irekirako eta Interneteko Komunikaziorako Zuzendaritza; Lehendakaritza.
#    Gobierno Vasco – Eusko Jaurlaritza 
# Licencia con arreglo a la EUPL, Versión 1.1 o –en cuanto sean aprobadas 
# por la Comisión Europea– versiones posteriores de la EUPL (la Licencia);
# Solo podrá usarse esta obra si se respeta la Licencia. Puede obtenerse una 
# copia de la Licencia en: http://ec.europa.eu/idabc/eupl 
# Salvo cuando lo exija la legislación aplicable o se acuerde por escrito, 
# el programa distribuido con arreglo a la Licencia se distribuye TAL CUAL,
# SIN GARANTÍAS NI CONDICIONES DE NINGÚN TIPO, ni expresas ni implícitas.
# Véase la Licencia en el idioma concreto que rige los permisos y limitaciones 
# que establece la Licencia
#
#  http://open.irekia.net, openirekia@efaber.net
#

class CreateBanners < ActiveRecord::Migration
  def self.up
    create_table :banners do |t|
      t.string :alt_es
      t.string :alt_eu
      t.string :alt_en
      t.string :url_es
      t.string :url_eu
      t.string :url_en
      t.string :logo_es_file_name
      t.string :logo_es_content_type
      t.integer :logo_es_file_size
      t.datetime :logo_es_updated_at 
      t.string :logo_eu_file_name
      t.string :logo_eu_content_type
      t.integer :logo_eu_file_size
      t.datetime :logo_eu_updated_at
      t.string :logo_en_file_name
      t.string :logo_en_content_type
      t.integer :logo_en_file_size
      t.datetime :logo_en_updated_at
      t.integer :position, :default => 0
      t.boolean :active
      t.timestamps
    end  
    
  end

  def self.down
    drop_table :banners
  end
end
