#
# OpenIrekia v4.0.0
#
# Copyright 2009-2013 eFaber, S.L.
# Copyright 2009-2013 Ejie, S.A.
# Copyrigth 2009-2013 Dirección de Gobierno Abierto y Comunicación en Internet; 
#    Gobernu Irekirako eta Interneteko Komunikaziorako Zuzendaritza; Lehendakaritza.
#    Gobierno Vasco – Eusko Jaurlaritza 
# Licencia con arreglo a la EUPL, Versión 1.1 o –en cuanto sean aprobadas 
# por la Comisión Europea– versiones posteriores de la EUPL (la Licencia);
# Solo podrá usarse esta obra si se respeta la Licencia. Puede obtenerse una 
# copia de la Licencia en: http://ec.europa.eu/idabc/eupl 
# Salvo cuando lo exija la legislación aplicable o se acuerde por escrito, 
# el programa distribuido con arreglo a la Licencia se distribuye TAL CUAL,
# SIN GARANTÍAS NI CONDICIONES DE NINGÚN TIPO, ni expresas ni implícitas.
# Véase la Licencia en el idioma concreto que rige los permisos y limitaciones 
# que establece la Licencia
#
#  http://open.irekia.net, openirekia@efaber.net
#

class CreateHeadlines < ActiveRecord::Migration
  def self.up
    create_table :headlines do |t|
      t.integer  :feed_id
      t.text     :title
      t.datetime :published_at
      t.text     :text
      t.text     :description
      t.text     :url
      t.string   :source_url
      t.string   :category_name
      t.string   :section_name
      t.string   :section_url
      t.string   :media_name
      t.string   :media_rank
      t.string   :media_audience
      t.string   :search_exp
      t.string   :image_url
      t.string   :value
      t.string   :locale, :size => 2
      t.string   :source_item_id
      t.text     :source_item_info
      t.timestamps
    end
  end

  def self.down
    drop_table :headlines
  end
end
