#
# OpenIrekia v4.0.0
#
# Copyright 2009-2013 eFaber, S.L.
# Copyright 2009-2013 Ejie, S.A.
# Copyrigth 2009-2013 Dirección de Gobierno Abierto y Comunicación en Internet; 
#    Gobernu Irekirako eta Interneteko Komunikaziorako Zuzendaritza; Lehendakaritza.
#    Gobierno Vasco – Eusko Jaurlaritza 
# Licencia con arreglo a la EUPL, Versión 1.1 o –en cuanto sean aprobadas 
# por la Comisión Europea– versiones posteriores de la EUPL (la Licencia);
# Solo podrá usarse esta obra si se respeta la Licencia. Puede obtenerse una 
# copia de la Licencia en: http://ec.europa.eu/idabc/eupl 
# Salvo cuando lo exija la legislación aplicable o se acuerde por escrito, 
# el programa distribuido con arreglo a la Licencia se distribuye TAL CUAL,
# SIN GARANTÍAS NI CONDICIONES DE NINGÚN TIPO, ni expresas ni implícitas.
# Véase la Licencia en el idioma concreto que rige los permisos y limitaciones 
# que establece la Licencia
#
#  http://open.irekia.net, openirekia@efaber.net
#

class AddUsersPoliticiansData < ActiveRecord::Migration
  def self.up
    add_column :users, :public_role_es, :string
    add_column :users, :public_role_eu, :string    
    add_column :users, :public_role_en, :string        
    add_column :users, :description_es, :text
    add_column :users, :description_eu, :text
    add_column :users, :description_en, :text    
    add_column :users, :gc_id, :integer
  end

  def self.down
    remove_column :users, :gc_id
    remove_column :users, :description_es
    remove_column :users, :description_eu
    remove_column :users, :description_en        
    remove_column :users, :public_role_es
    remove_column :users, :public_role_eu
    remove_column :users, :public_role_en        
  end
end