#
# OpenIrekia v4.0.0
#
# Copyright 2009-2013 eFaber, S.L.
# Copyright 2009-2013 Ejie, S.A.
# Copyrigth 2009-2013 Dirección de Gobierno Abierto y Comunicación en Internet; 
#    Gobernu Irekirako eta Interneteko Komunikaziorako Zuzendaritza; Lehendakaritza.
#    Gobierno Vasco – Eusko Jaurlaritza 
# Licencia con arreglo a la EUPL, Versión 1.1 o –en cuanto sean aprobadas 
# por la Comisión Europea– versiones posteriores de la EUPL (la Licencia);
# Solo podrá usarse esta obra si se respeta la Licencia. Puede obtenerse una 
# copia de la Licencia en: http://ec.europa.eu/idabc/eupl 
# Salvo cuando lo exija la legislación aplicable o se acuerde por escrito, 
# el programa distribuido con arreglo a la Licencia se distribuye TAL CUAL,
# SIN GARANTÍAS NI CONDICIONES DE NINGÚN TIPO, ni expresas ni implícitas.
# Véase la Licencia en el idioma concreto que rige los permisos y limitaciones 
# que establece la Licencia
#
#  http://open.irekia.net, openirekia@efaber.net
#

class AddIndexToOrdersAndRefEu < ActiveRecord::Migration
  def self.up
    add_index :orders, :no_orden
    rename_column :orders, :vigencia, :vigencia_es
    rename_column :orders, :ref_ant, :ref_ant_es    
    rename_column :orders, :ref_pos, :ref_pos_es        
    add_column :orders, :vigencia_eu, :text
    add_column :orders, :ref_ant_eu, :text    
    add_column :orders, :ref_pos_eu, :text        
  end

  def self.down                 
    remove_column :orders, :ref_pos_eu
    remove_column :orders, :ref_ant_eu    
    remove_column :orders, :vigencia_eu
    rename_column :orders, :ref_pos_es, :ref_pos
    rename_column :orders, :ref_ant_es, :ref_ant
    rename_column :orders, :vigencia_es, :vigencia        
    remove_index :orders, :no_orden
  end
end
