#
# OpenIrekia v4.0.0
#
# Copyright 2009-2013 eFaber, S.L.
# Copyright 2009-2013 Ejie, S.A.
# Copyrigth 2009-2013 Dirección de Gobierno Abierto y Comunicación en Internet; 
#    Gobernu Irekirako eta Interneteko Komunikaziorako Zuzendaritza; Lehendakaritza.
#    Gobierno Vasco – Eusko Jaurlaritza 
# Licencia con arreglo a la EUPL, Versión 1.1 o –en cuanto sean aprobadas 
# por la Comisión Europea– versiones posteriores de la EUPL (la Licencia);
# Solo podrá usarse esta obra si se respeta la Licencia. Puede obtenerse una 
# copia de la Licencia en: http://ec.europa.eu/idabc/eupl 
# Salvo cuando lo exija la legislación aplicable o se acuerde por escrito, 
# el programa distribuido con arreglo a la Licencia se distribuye TAL CUAL,
# SIN GARANTÍAS NI CONDICIONES DE NINGÚN TIPO, ni expresas ni implícitas.
# Véase la Licencia en el idioma concreto que rige los permisos y limitaciones 
# que establece la Licencia
#
#  http://open.irekia.net, openirekia@efaber.net
#

class AddLabelToTreeCreateTrees < ActiveRecord::Migration
  def self.up
    add_column :trees, :label, :string
    Tree.find_by_name_es('Canales WebTV').update_attribute(:label, 'web_tv')
    Tree.find_by_name_es('Menu Agencia').update_attribute(:label, 'ma_menu')    
    Tree.find_by_name_es('Fototeca').update_attribute(:label, 'gallery')        
    Tree.find_by_name_es('Menu').update_attribute(:label, 'menu')            
    
    Tree.create(:name_es => 'Inicio', :name_eu => 'Hasiera', :name_en => 'Home', :label => 'navbar_left')    
    Tree.create(:name_es => 'Qué es Irekia', :name_eu => 'Zer da Irekia?', :name_en => 'About Irekia', :label => 'navbar_right')    
  end

  def self.down                       
    Tree.find_by_name_es('Inicio').destroy if Tree.find_by_name_es('Inicio')
    Tree.find_by_name_es('Qué es Irekia').destroy if Tree.find_by_name_es('Qué es Irekia')    

    remove_column :trees, :label
  end
end
