#
# OpenIrekia v4.0.0
#
# Copyright 2009-2013 eFaber, S.L.
# Copyright 2009-2013 Ejie, S.A.
# Copyrigth 2009-2013 Dirección de Gobierno Abierto y Comunicación en Internet; 
#    Gobernu Irekirako eta Interneteko Komunikaziorako Zuzendaritza; Lehendakaritza.
#    Gobierno Vasco – Eusko Jaurlaritza 
# Licencia con arreglo a la EUPL, Versión 1.1 o –en cuanto sean aprobadas 
# por la Comisión Europea– versiones posteriores de la EUPL (la Licencia);
# Solo podrá usarse esta obra si se respeta la Licencia. Puede obtenerse una 
# copia de la Licencia en: http://ec.europa.eu/idabc/eupl 
# Salvo cuando lo exija la legislación aplicable o se acuerde por escrito, 
# el programa distribuido con arreglo a la Licencia se distribuye TAL CUAL,
# SIN GARANTÍAS NI CONDICIONES DE NINGÚN TIPO, ni expresas ni implícitas.
# Véase la Licencia en el idioma concreto que rige los permisos y limitaciones 
# que establece la Licencia
#
#  http://open.irekia.net, openirekia@efaber.net
#

class RemoveAgenciaFromDocuments < ActiveRecord::Migration
  def self.up

    execute "UPDATE documents set published_at = NULL WHERE draft='t'"
    execute "UPDATE documents set published_at = NULL WHERE show_in_irekia='f' AND show_in_agencia='t'"
    remove_column :documents, :show_in_agencia
    remove_column :documents, :show_in_irekia
    remove_column :documents, :draft
    remove_column :documents, :state
    remove_column :documents, :is_private_deprecated
    
  end

  def self.down
    add_column :documents, :show_in_agencia, :boolean,   :default => true
    add_column :documents, :show_in_irekia, :boolean,   :default => true
    add_column :documents, :draft, :boolean,   :default => true
    add_column :documents, :state, :string,   :limit => 30
    add_column :documents, :is_private_deprecated, :boolean, :default => true
  end
end
