#
# OpenIrekia v4.0.0
#
# Copyright 2009-2013 eFaber, S.L.
# Copyright 2009-2013 Ejie, S.A.
# Copyrigth 2009-2013 Dirección de Gobierno Abierto y Comunicación en Internet; 
#    Gobernu Irekirako eta Interneteko Komunikaziorako Zuzendaritza; Lehendakaritza.
#    Gobierno Vasco – Eusko Jaurlaritza 
# Licencia con arreglo a la EUPL, Versión 1.1 o –en cuanto sean aprobadas 
# por la Comisión Europea– versiones posteriores de la EUPL (la Licencia);
# Solo podrá usarse esta obra si se respeta la Licencia. Puede obtenerse una 
# copia de la Licencia en: http://ec.europa.eu/idabc/eupl 
# Salvo cuando lo exija la legislación aplicable o se acuerde por escrito, 
# el programa distribuido con arreglo a la Licencia se distribuye TAL CUAL,
# SIN GARANTÍAS NI CONDICIONES DE NINGÚN TIPO, ni expresas ni implícitas.
# Véase la Licencia en el idioma concreto que rige los permisos y limitaciones 
# que establece la Licencia
#
#  http://open.irekia.net, openirekia@efaber.net
#

#
# Cambiar el nombre de los tags de debate de _d_* al hashtag del debate.
#
class ChangeDebateTags < ActiveRecord::Migration
  def self.up
    Tag.find(:all, :conditions => "name_es ilike '\\_d\\_%'").map {|t| t if t.name_es.match(/^_d_/)}.compact.each do |tag|
      hashtag = tag.name_es.gsub(/^_d_/, '#')
      if d = Debate.find_by_hashtag(hashtag)
        p "Changing tag #{tag.id}: name_es = #{tag.name_es}, debate = #{d.title}, hashtag = #{hashtag}"
        tag.name_es = hashtag
        tag.name_eu = hashtag        
        tag.name_en = hashtag                
        tag.save
      end
    end
  end

  def self.down
  end
end
