#
# OpenIrekia v4.0.0
#
# Copyright 2009-2013 eFaber, S.L.
# Copyright 2009-2013 Ejie, S.A.
# Copyrigth 2009-2013 Dirección de Gobierno Abierto y Comunicación en Internet; 
#    Gobernu Irekirako eta Interneteko Komunikaziorako Zuzendaritza; Lehendakaritza.
#    Gobierno Vasco – Eusko Jaurlaritza 
# Licencia con arreglo a la EUPL, Versión 1.1 o –en cuanto sean aprobadas 
# por la Comisión Europea– versiones posteriores de la EUPL (la Licencia);
# Solo podrá usarse esta obra si se respeta la Licencia. Puede obtenerse una 
# copia de la Licencia en: http://ec.europa.eu/idabc/eupl 
# Salvo cuando lo exija la legislación aplicable o se acuerde por escrito, 
# el programa distribuido con arreglo a la Licencia se distribuye TAL CUAL,
# SIN GARANTÍAS NI CONDICIONES DE NINGÚN TIPO, ni expresas ni implícitas.
# Véase la Licencia en el idioma concreto que rige los permisos y limitaciones 
# que establece la Licencia
#
#  http://open.irekia.net, openirekia@efaber.net
#

#
# Referers externos en los últimos 4 horas
#
require 'rubygems'
require 'couchrest'
require 'pp'

dbr=CouchRest.database('http://localhost:5984/ilog2')
# the most recent, back to :endkey
ag=dbr.view('select/extref', { :descending => true, 
                               :limit => 10000, 
                               :endkey => [Time.now.year, Time.now.month, Time.now.day, Time.now.hour-4, 0] })

refs=Hash.new(0)
ag['rows'].each do |r|
   # pp r['key'], r['value']
   referer =  r['value']
   isgoogle = Regexp.compile(/\.google\./)
   if !(/\.google\./ =~ referer) then
      # site = referer.gsub(/http:\/\/([^\/]+)\/.*$/, '\1')
      # puts referer, site
      refs[referer]+=1
   end
end
refss = refs.sort {|a,b| b[1]<=>a[1]}

pp refss

