#
# OpenIrekia v4.0.0
#
# Copyright 2009-2013 eFaber, S.L.
# Copyright 2009-2013 Ejie, S.A.
# Copyrigth 2009-2013 Dirección de Gobierno Abierto y Comunicación en Internet; 
#    Gobernu Irekirako eta Interneteko Komunikaziorako Zuzendaritza; Lehendakaritza.
#    Gobierno Vasco – Eusko Jaurlaritza 
# Licencia con arreglo a la EUPL, Versión 1.1 o –en cuanto sean aprobadas 
# por la Comisión Europea– versiones posteriores de la EUPL (la Licencia);
# Solo podrá usarse esta obra si se respeta la Licencia. Puede obtenerse una 
# copia de la Licencia en: http://ec.europa.eu/idabc/eupl 
# Salvo cuando lo exija la legislación aplicable o se acuerde por escrito, 
# el programa distribuido con arreglo a la Licencia se distribuye TAL CUAL,
# SIN GARANTÍAS NI CONDICIONES DE NINGÚN TIPO, ni expresas ni implícitas.
# Véase la Licencia en el idioma concreto que rige los permisos y limitaciones 
# que establece la Licencia
#
#  http://open.irekia.net, openirekia@efaber.net
#

#
# Páginas de contenido mas populares en los últimos 4 horas
#
require 'rubygems'
require 'couchrest'
require 'cgi'
require 'pp'

dbr=CouchRest.database('http://localhost:5984/ilog2')
# the most recent, back to :endkey
ag=dbr.view('counter/pages', { :descending => true, 
                               :limit => 10000, 
                               :endkey => [Time.now.year, Time.now.month, Time.now.day, Time.now.hour-4, ''], 
                               :group => true })

totv=Hash.new(0)
ag['rows'].each do |r| 
   # pp r['key'], r['value'] 
   path = r['key'][4]
   ntimes = r['value']
   if !( (/news\/image/ =~ path) || 
         (/news\/photo/ =~ path) ||
         (/site\/change_locale/ =~ path) ||
         (/site\/search/ =~ path) ) then
     # pp path, ntimes
     totv[path] += ntimes
   end
end
topp = totv.sort {|a,b| b[1]<=>a[1]}

pp topp

