#
# OpenIrekia v4.0.0
#
# Copyright 2009-2013 eFaber, S.L.
# Copyright 2009-2013 Ejie, S.A.
# Copyrigth 2009-2013 Dirección de Gobierno Abierto y Comunicación en Internet; 
#    Gobernu Irekirako eta Interneteko Komunikaziorako Zuzendaritza; Lehendakaritza.
#    Gobierno Vasco – Eusko Jaurlaritza 
# Licencia con arreglo a la EUPL, Versión 1.1 o –en cuanto sean aprobadas 
# por la Comisión Europea– versiones posteriores de la EUPL (la Licencia);
# Solo podrá usarse esta obra si se respeta la Licencia. Puede obtenerse una 
# copia de la Licencia en: http://ec.europa.eu/idabc/eupl 
# Salvo cuando lo exija la legislación aplicable o se acuerde por escrito, 
# el programa distribuido con arreglo a la Licencia se distribuye TAL CUAL,
# SIN GARANTÍAS NI CONDICIONES DE NINGÚN TIPO, ni expresas ni implícitas.
# Véase la Licencia en el idioma concreto que rige los permisos y limitaciones 
# que establece la Licencia
#
#  http://open.irekia.net, openirekia@efaber.net
#

#!/usr/bin/ruby
require 'rubygems'
require 'cgi'
require 'pp'

# log fields:
Cx_severity  = 0
Cx_category  = 1  
Cx_event     = 2
Cdate        = 3
Ctime        = 4
Cc_client_id = 5  
Cc_ip        = 6
Cc_port      = 7
Ccs_bytes    = 8 
Csc_bytes    = 9  
Cx_duration  = 10  
Cx_sname     = 11
Cx_stream_id = 12 
Csc_stream_bytes = 13 
Ccs_stream_bytes = 14
Cx_file_size     = 15
Cx_file_length   = 16
Cx_ctx     = 17
Cx_comment = 18


onusers = 0
honuser = Hash.new(0)
# honuser['SBI01.SDP'] = 0  
# honuser['SAR02.SDP'] = 0 
logfile = File.new("/usr/local/WowzaMediaServerPro/logs/wowzamediaserverpro_access.log")
logfile.each do |logline| 
  if logline[0] == 35
    ; # puts 'comment:'
  else 
    logdl = logline.split(/\t/)
    # if logdl[Cx_event]=='play' || logdl[Cx_event]=='stop'
    if logdl[Cx_event]=='play' 
      ## puts logdl[Cdate]+' '+logdl[Ctime] + " : " + logdl[Cc_client_id]  + ":"+ logdl[Cx_event] + ', ' + logdl[Csc_bytes] 
      onusers += 1
      # puts logdl[Cdate]+' '+logdl[Ctime] + ", " + logdl[Cx_sname]  + ", " + onusers.to_s
      # puts logdl[Cx_sname]
      honuser[logdl[Cx_sname]] += 1
    end
    if logdl[Cx_event]=='stop'
      ## puts logdl[Cdate]+' '+logdl[Ctime] + " : " + logdl[Cc_client_id]  + ":"+ logdl[Cx_event] + ', ' + logdl[Csc_bytes] 
      onusers -= 1
      honuser[logdl[Cx_sname]] -= 1
      # puts logdl[Cdate]+' '+logdl[Ctime] + ", " + logdl[Cx_sname]  + ", " + onusers.to_s
    end
  end
end

pp honuser 

