#
# OpenIrekia v4.0.0
#
# Copyright 2009-2013 eFaber, S.L.
# Copyright 2009-2013 Ejie, S.A.
# Copyrigth 2009-2013 Dirección de Gobierno Abierto y Comunicación en Internet; 
#    Gobernu Irekirako eta Interneteko Komunikaziorako Zuzendaritza; Lehendakaritza.
#    Gobierno Vasco – Eusko Jaurlaritza 
# Licencia con arreglo a la EUPL, Versión 1.1 o –en cuanto sean aprobadas 
# por la Comisión Europea– versiones posteriores de la EUPL (la Licencia);
# Solo podrá usarse esta obra si se respeta la Licencia. Puede obtenerse una 
# copia de la Licencia en: http://ec.europa.eu/idabc/eupl 
# Salvo cuando lo exija la legislación aplicable o se acuerde por escrito, 
# el programa distribuido con arreglo a la Licencia se distribuye TAL CUAL,
# SIN GARANTÍAS NI CONDICIONES DE NINGÚN TIPO, ni expresas ni implícitas.
# Véase la Licencia en el idioma concreto que rige los permisos y limitaciones 
# que establece la Licencia
#
#  http://open.irekia.net, openirekia@efaber.net
#

require 'test_helper'

class Admin::DebateEntitiesControllerTest < ActionController::TestCase
  def setup 
    http_login()
    login_as('admin')
    ActionMailer::Base.deliveries = []
  end
  
  context "with debate" do
    setup do
       @debate = debates(:debate_completo)
    end
    
    should "create debate entity" do
      entidad_nueva = outside_organizations(:organization_without_debate)
      assert_difference "DebateEntity.count", 1 do
        post :create, :debate_id => @debate.id, :debate_entity => {"url"=>"http://google.es", "organization_name"=>entidad_nueva.name, "organization_id" => entidad_nueva.id}
      end
      assert_response :redirect
    end
  end
end
